#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(dfl_fpga_port_ops_get, 0x331381bc, "_gpl");
SYMBOL_CRC(dfl_fpga_port_ops_put, 0x30d15dc2, "_gpl");
SYMBOL_CRC(dfl_fpga_port_ops_add, 0x647e500e, "_gpl");
SYMBOL_CRC(dfl_fpga_port_ops_del, 0x8f19d8c6, "_gpl");
SYMBOL_CRC(dfl_fpga_check_port_id, 0xf2a66f71, "_gpl");
SYMBOL_CRC(__dfl_driver_register, 0x775079cd, "");
SYMBOL_CRC(dfl_driver_unregister, 0x7f41c595, "");
SYMBOL_CRC(dfl_fpga_dev_feature_uinit, 0x04d966a2, "_gpl");
SYMBOL_CRC(dfl_fpga_dev_feature_init, 0xf9b548a6, "_gpl");
SYMBOL_CRC(dfl_fpga_dev_ops_register, 0x90f1b0dc, "_gpl");
SYMBOL_CRC(dfl_fpga_dev_ops_unregister, 0x09699831, "_gpl");
SYMBOL_CRC(dfh_find_param, 0x412a705b, "_gpl");
SYMBOL_CRC(dfl_fpga_enum_info_alloc, 0x9a1ac38d, "_gpl");
SYMBOL_CRC(dfl_fpga_enum_info_free, 0xe63506d7, "_gpl");
SYMBOL_CRC(dfl_fpga_enum_info_add_dfl, 0x56e58f9a, "_gpl");
SYMBOL_CRC(dfl_fpga_enum_info_add_irq, 0x0a767f79, "_gpl");
SYMBOL_CRC(dfl_fpga_feature_devs_enumerate, 0xd328e451, "_gpl");
SYMBOL_CRC(dfl_fpga_feature_devs_remove, 0x0647ca0e, "_gpl");
SYMBOL_CRC(__dfl_fpga_cdev_find_port, 0x2374f1bb, "_gpl");
SYMBOL_CRC(dfl_fpga_cdev_release_port, 0x816d124b, "_gpl");
SYMBOL_CRC(dfl_fpga_cdev_assign_port, 0xa2eac9a0, "_gpl");
SYMBOL_CRC(dfl_fpga_cdev_config_ports_pf, 0xac027ffd, "_gpl");
SYMBOL_CRC(dfl_fpga_cdev_config_ports_vf, 0xd400d958, "_gpl");
SYMBOL_CRC(dfl_fpga_set_irq_triggers, 0x3bb2368f, "_gpl");
SYMBOL_CRC(dfl_feature_ioctl_get_num_irqs, 0x7732a710, "_gpl");
SYMBOL_CRC(dfl_feature_ioctl_set_irq, 0x12a6c4bd, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xe07d488f, "try_module_get" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xd133af02, "module_put" },
	{ 0x8c3366c9, "driver_register" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x145ba9c4, "driver_unregister" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xc5e74216, "release_resource" },
	{ 0x37a0cba, "kfree" },
	{ 0xffb7c514, "ida_free" },
	{ 0x7b68a427, "cdev_init" },
	{ 0x218bf2e7, "cdev_add" },
	{ 0xe7effe54, "cdev_del" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x25b9a8e4, "get_device" },
	{ 0xc01056e6, "devm_kmalloc" },
	{ 0x633d51b, "put_device" },
	{ 0x8edea9e7, "devm_kfree" },
	{ 0x2a8e4d8e, "devm_kmemdup" },
	{ 0x77358855, "iomem_resource" },
	{ 0x7e587774, "__devm_request_region" },
	{ 0xbe903afa, "devm_ioremap" },
	{ 0xc2c0e1bc, "_dev_err" },
	{ 0xdf0f75c6, "eventfd_signal" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x5180915, "bus_register" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x479f5403, "bus_unregister" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x77d6628d, "device_unregister" },
	{ 0xc1dd8da6, "devm_platform_ioremap_resource" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x17bcf262, "kmalloc_caches" },
	{ 0x837c54d4, "kmalloc_trace" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xa2dd9ac, "device_initialize" },
	{ 0x4d73b678, "dev_set_name" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x5f23e3fa, "insert_resource" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x68bd1f3, "device_add" },
	{ 0xeb6d1e6, "__dynamic_dev_dbg" },
	{ 0x74da7e12, "platform_device_del" },
	{ 0xc392e986, "platform_device_add" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x1ccf5651, "platform_device_put" },
	{ 0x88f59c01, "device_for_each_child" },
	{ 0xbff1418f, "fpga_region_unregister" },
	{ 0x15e7dd56, "platform_device_unregister" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xc067a90c, "_dev_warn" },
	{ 0x61a93abb, "_dev_info" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x6a765dc8, "devm_ioremap_resource" },
	{ 0x2c77cf40, "__fpga_region_register" },
	{ 0x76e446ad, "devm_iounmap" },
	{ 0x9e6949db, "__devm_release_region" },
	{ 0x82f42d2d, "platform_device_alloc" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0xd9f75a53, "module_layout" },
};

MODULE_INFO(depends, "fpga-region");


MODULE_INFO(srcversion, "0B43E7A1474D7B7525842F8");

MODULE_INFO(suserelease, "ALP-0.1");
