#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(cx18_ext_init, 0xd7176d92, "");
SYMBOL_CRC(cx18_reset_ir_gpio, 0x2cdea06d, "");
SYMBOL_CRC(cx18_start_v4l2_encode_stream, 0x958b641f, "");
SYMBOL_CRC(cx18_stop_v4l2_encode_stream, 0xc017c329, "");
SYMBOL_CRC(cx18_claim_stream, 0x95fdbc6b, "");
SYMBOL_CRC(cx18_release_stream, 0xa0abfb02, "");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xea6f865b, "v4l2_ctrl_handler_setup" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x390ebb32, "video_devdata" },
	{ 0x1f0f7456, "i2c_new_scanned_device" },
	{ 0x5164c896, "cx2341x_handler_setup" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xa0f0355d, "i2c_del_adapter" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xa9e4df34, "__v4l2_ctrl_s_ctrl" },
	{ 0x868784cb, "__symbol_get" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x4cceb992, "vb2_ioctl_dqbuf" },
	{ 0x9263a063, "dvb_dmx_release" },
	{ 0x44d879a1, "vb2_ioctl_create_bufs" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xa07a37f0, "memchr" },
	{ 0xb905f036, "tveeprom_read" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x44bba71f, "vb2_ioctl_prepare_buf" },
	{ 0x13cb4801, "v4l2_fh_is_singular" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x74646e62, "pci_read_config_word" },
	{ 0xa76b4dc2, "vb2_buffer_done" },
	{ 0x91c022f4, "vb2_plane_vaddr" },
	{ 0xefbd1fb1, "v4l2_ctrl_subscribe_event" },
	{ 0x12b433da, "v4l2_fh_init" },
	{ 0x35e35087, "v4l2_event_pending" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x86f42683, "dvb_net_init" },
	{ 0xde80cd09, "ioremap" },
	{ 0x8c54b0f8, "dvb_dmx_swfilter" },
	{ 0x92498454, "video_unregister_device" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xa298a7d4, "dvb_dmxdev_release" },
	{ 0xbe286c20, "vb2_ioctl_qbuf" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x9f2675d2, "vb2_fop_mmap" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xa52998df, "param_ops_short" },
	{ 0x7f34b92b, "vb2_vmalloc_memops" },
	{ 0x63365435, "dma_sync_single_for_cpu" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x815dfe98, "vb2_fop_read" },
	{ 0xfe0399c9, "v4l2_device_register" },
	{ 0x56f3cdc7, "dvb_frontend_detach" },
	{ 0x3a5097b1, "param_ops_string" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7ee394ba, "dvb_net_release" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x94d6e96f, "__video_register_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x99252190, "dvb_unregister_frontend" },
	{ 0x22113dc8, "pci_write_config_byte" },
	{ 0xaa7318e8, "vb2_ops_wait_prepare" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x7bf843, "vb2_ioctl_streamon" },
	{ 0x3bfadbbc, "vb2_fop_poll" },
	{ 0x5274ce47, "v4l2_ctrl_new_std" },
	{ 0x55d6ee3e, "v4l2_ctrl_g_ctrl" },
	{ 0xa867a96b, "cx2341x_handler_init" },
	{ 0x3bae4441, "cx2341x_handler_set_50hz" },
	{ 0xe911177f, "v4l2_ctrl_handler_free" },
	{ 0x378b20fb, "v4l2_device_unregister" },
	{ 0x56d815cd, "pci_disable_device" },
	{ 0x73ec8b2b, "dvb_register_frontend" },
	{ 0x572abcca, "dma_set_mask" },
	{ 0xdbf0296, "tveeprom_hauppauge_analog" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x5002b835, "v4l2_subdev_call_wrappers" },
	{ 0x837c54d4, "kmalloc_trace" },
	{ 0x304067c0, "v4l2_i2c_new_subdev" },
	{ 0x4030e156, "pci_read_config_byte" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x77358855, "iomem_resource" },
	{ 0x474dfbb7, "dvb_unregister_adapter" },
	{ 0x54abe4ff, "dvb_dmx_init" },
	{ 0x864aeae7, "param_ops_int" },
	{ 0x349cba85, "strchr" },
	{ 0x759ca44c, "pci_write_config_word" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xbcc3b9a5, "video_device_release_empty" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xca105477, "v4l2_event_unsubscribe" },
	{ 0x17bcf262, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xcb8b7c97, "vb2_ioctl_reqbufs" },
	{ 0xa39aaee9, "vb2_queue_init" },
	{ 0x96974ec9, "v4l2_fh_exit" },
	{ 0x23dde4ca, "dvb_dmxdev_init" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x583cee9c, "cx2341x_handler_set_busy" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x1f318804, "video_ioctl2" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x2a82b58c, "vb2_queue_release" },
	{ 0xdb8b3690, "pci_enable_device" },
	{ 0x411f4d43, "vb2_ioctl_streamoff" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6e9dd606, "__symbol_put" },
	{ 0xea9138d1, "i2c_bit_add_bus" },
	{ 0xf58d1d17, "v4l2_fh_del" },
	{ 0x3db7c1fa, "v4l2_fh_add" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x69f4a9bf, "dma_unmap_page_attrs" },
	{ 0x4bf64ee7, "vb2_ops_wait_finish" },
	{ 0xb65284dc, "request_firmware" },
	{ 0xf2fd4532, "__pci_register_driver" },
	{ 0x8ebbb752, "v4l2_ctrl_handler_init_class" },
	{ 0xda839b52, "dma_sync_single_for_device" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xedc03953, "iounmap" },
	{ 0x5fbf5b22, "param_array_ops" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x261814aa, "pcpu_hot" },
	{ 0x1b015f24, "vb2_ioctl_querybuf" },
	{ 0x88d35a8d, "v4l2_subdev_init" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x17e21da3, "vb2_video_unregister_device" },
	{ 0x32066026, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x56b671bc, "dvb_register_adapter" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x84601143, "dev_driver_string" },
	{ 0x9045e83e, "v4l2_device_register_subdev" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd82db8c7, "dma_map_page_attrs" },
	{ 0x92997ed8, "_printk" },
	{ 0x561c3c64, "v4l2_ctrl_handler_log_status" },
	{ 0xd9f75a53, "module_layout" },
};

MODULE_INFO(depends, "videodev,cx2341x,videobuf2-v4l2,dvb-core,tveeprom,videobuf2-common,videobuf2-vmalloc,i2c-algo-bit");

MODULE_ALIAS("pci:v000014F1d00005B7Asv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "F56DCCFAC3CD63982A3DD2B");

MODULE_INFO(suserelease, "ALP-0.1");
