#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(cx88_tuner_callback, 0x6141c8c5, "");
SYMBOL_CRC(cx88_setup_xc3028, 0xb326df33, "_gpl");
SYMBOL_CRC(cx88_risc_buffer, 0x32161ead, "");
SYMBOL_CRC(cx88_risc_databuffer, 0x3887c3b6, "");
SYMBOL_CRC(cx88_sram_channels, 0x8d88137a, "");
SYMBOL_CRC(cx88_sram_channel_setup, 0xff116662, "");
SYMBOL_CRC(cx88_sram_channel_dump, 0xe14620f8, "");
SYMBOL_CRC(cx88_print_irqbits, 0x5edb7ae5, "");
SYMBOL_CRC(cx88_core_irq, 0xf1f09bcc, "");
SYMBOL_CRC(cx88_wakeup, 0x2fdfdfd0, "");
SYMBOL_CRC(cx88_shutdown, 0x2ba7fb28, "");
SYMBOL_CRC(cx88_reset, 0x560db99b, "");
SYMBOL_CRC(cx88_set_scale, 0x8870081f, "");
SYMBOL_CRC(cx88_set_tvnorm, 0x4cf9fa00, "");
SYMBOL_CRC(cx88_vdev_init, 0x8653751b, "");
SYMBOL_CRC(cx88_core_get, 0x686bf9e9, "");
SYMBOL_CRC(cx88_core_put, 0xe10f3ff9, "");
SYMBOL_CRC(cx88_set_tvaudio, 0xd59b42d4, "");
SYMBOL_CRC(cx88_newstation, 0x7cf566ca, "");
SYMBOL_CRC(cx88_get_stereo, 0x3620f481, "");
SYMBOL_CRC(cx88_set_stereo, 0xbaef09d5, "");
SYMBOL_CRC(cx88_audio_thread, 0x904b8696, "");
SYMBOL_CRC(cx88_dsp_detect_stereo_sap, 0x81e95cc8, "");
SYMBOL_CRC(cx88_ir_start, 0x52dc1c8e, "");
SYMBOL_CRC(cx88_ir_stop, 0x97596cc0, "");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc4a2951a, "i2c_transfer_buffer_flags" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xdc14eda7, "pci_pci_problems" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb678366f, "int_sqrt" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x92997ed8, "_printk" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xa916b694, "strnlen" },
	{ 0x1a8fee5d, "i2c_smbus_xfer" },
	{ 0xa0f0355d, "i2c_del_adapter" },
	{ 0x486b60e2, "rc_keyup" },
	{ 0xf304a246, "__v4l2_ctrl_grab" },
	{ 0x52162fb9, "i2c_unregister_device" },
	{ 0xb905f036, "tveeprom_read" },
	{ 0x3ca68aca, "rc_keydown_notimeout" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x5c9a1bc8, "rc_register_device" },
	{ 0x3d344615, "dma_alloc_attrs" },
	{ 0xb40e1517, "rc_keydown" },
	{ 0xa76b4dc2, "vb2_buffer_done" },
	{ 0xde80cd09, "ioremap" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x8a4d1d4a, "i2c_new_client_device" },
	{ 0xa0187dd0, "freezing_slow_path" },
	{ 0xa2e3d5b1, "rc_free_device" },
	{ 0x3c5d543a, "hrtimer_start_range_ns" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfe0399c9, "v4l2_device_register" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x1851a76e, "rc_allocate_device" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdd64e639, "strscpy" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x22113dc8, "pci_write_config_byte" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xf2a353ac, "v4l2_i2c_tuner_addrs" },
	{ 0xe911177f, "v4l2_ctrl_handler_free" },
	{ 0xfcbe5f9c, "i2c_transfer" },
	{ 0x46a4b118, "hrtimer_cancel" },
	{ 0x378b20fb, "v4l2_device_unregister" },
	{ 0xdbf0296, "tveeprom_hauppauge_analog" },
	{ 0x828e22f4, "hrtimer_forward" },
	{ 0x837c54d4, "kmalloc_trace" },
	{ 0x304067c0, "v4l2_i2c_new_subdev" },
	{ 0x4030e156, "pci_read_config_byte" },
	{ 0x77358855, "iomem_resource" },
	{ 0x864aeae7, "param_ops_int" },
	{ 0xabfc1186, "ir_raw_event_store_with_filter" },
	{ 0x61c7c45e, "i2c_smbus_read_byte_data" },
	{ 0xbcc3b9a5, "video_device_release_empty" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe3cc5e3c, "rc_unregister_device" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x17bcf262, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0xf3251e7b, "v4l2_norm_to_name" },
	{ 0xc2ca40d4, "ir_raw_event_handle" },
	{ 0x20250eb8, "param_ops_uint" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xea9138d1, "i2c_bit_add_bus" },
	{ 0x8ebbb752, "v4l2_ctrl_handler_init_class" },
	{ 0xedc03953, "iounmap" },
	{ 0x2d0684a9, "hrtimer_init" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x5fbf5b22, "param_array_ops" },
	{ 0x37a0cba, "kfree" },
	{ 0x261814aa, "pcpu_hot" },
	{ 0xd9f75a53, "module_layout" },
};

MODULE_INFO(depends, "rc-core,videodev,tveeprom,videobuf2-common,i2c-algo-bit");


MODULE_INFO(srcversion, "589AC743322CBC1653CD124");

MODULE_INFO(suserelease, "ALP-0.1");
