#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x196257e4, "mpt_get_msg_frame" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x9d88d1a4, "mpt_put_msg_frame" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x33382c1c, "mpt_HardResetHandler" },
	{ 0xae041d25, "mpt_free_msg_frame" },
	{ 0x949d0166, "mptscsih_event_process" },
	{ 0x17bcf262, "kmalloc_caches" },
	{ 0x837c54d4, "kmalloc_trace" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xbd286448, "_dev_printk" },
	{ 0xcfd805bb, "mptscsih_resume" },
	{ 0xd1f20a8d, "mptscsih_ioc_reset" },
	{ 0x771ace90, "scsi_is_host_device" },
	{ 0x3d344615, "dma_alloc_attrs" },
	{ 0x85f57d6b, "mpt_config" },
	{ 0xa5eea68, "dma_free_attrs" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xaf443602, "spi_dv_device" },
	{ 0x3f949f26, "spi_display_xfer_agreement" },
	{ 0xa48ae99b, "mptscsih_slave_configure" },
	{ 0x9d3de733, "mpt_findImVolumes" },
	{ 0x3cbb8b49, "__scsi_iterate_devices" },
	{ 0x1b59ca20, "scsi_scan_target" },
	{ 0xd03816b5, "scsi_device_lookup_by_target" },
	{ 0xa70da404, "sdev_prefix_printk" },
	{ 0x7d2bb18c, "mptscsih_slave_destroy" },
	{ 0xd2d807d7, "mptscsih_raid_id_to_num" },
	{ 0x64ced52d, "mptscsih_suspend" },
	{ 0xa1212269, "mptscsih_shutdown" },
	{ 0x4dbf59e9, "mptscsih_info" },
	{ 0xe729fc33, "mptscsih_abort" },
	{ 0x912069d8, "mptscsih_dev_reset" },
	{ 0x975ed50a, "mptscsih_bus_reset" },
	{ 0xc68d02b3, "mptscsih_host_reset" },
	{ 0x1daab2b8, "mptscsih_change_queue_depth" },
	{ 0xcc527518, "mptscsih_bios_param" },
	{ 0xeb38af3c, "mptscsih_show_info" },
	{ 0x1eb38625, "mptscsih_host_attr_groups" },
	{ 0x864aeae7, "param_ops_int" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x92997ed8, "_printk" },
	{ 0x8e1151a2, "spi_attach_transport" },
	{ 0x27db3e57, "mptscsih_io_done" },
	{ 0xf5f7d963, "mpt_register" },
	{ 0x5ae327d9, "mptscsih_taskmgmt_complete" },
	{ 0xa2f3884a, "mptscsih_scandv_complete" },
	{ 0xa87c4d7b, "mpt_event_register" },
	{ 0xfc743fac, "mpt_reset_register" },
	{ 0xf2fd4532, "__pci_register_driver" },
	{ 0xc6524d6, "spi_release_transport" },
	{ 0x37a0cba, "kfree" },
	{ 0x4e530c55, "scsi_remove_host" },
	{ 0xd9eba5fa, "mptscsih_remove" },
	{ 0x1f957802, "mptscsih_qcmd" },
	{ 0x61c4956e, "mptscsih_is_phys_disk" },
	{ 0xb24aa0e, "scsi_done" },
	{ 0x32066026, "pci_unregister_driver" },
	{ 0x610b257e, "mpt_reset_deregister" },
	{ 0xe6c1e126, "mpt_event_deregister" },
	{ 0x981efe92, "mpt_deregister" },
	{ 0x457bcd3d, "mpt_attach" },
	{ 0x976a1d64, "scsi_host_alloc" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xaec9f6ce, "scsi_add_host_with_dma" },
	{ 0x2d98586a, "scsi_scan_host" },
	{ 0x8b1fb5f4, "mptscsih_IssueTaskMgmt" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xd9f75a53, "module_layout" },
};

MODULE_INFO(depends, "mptbase,mptscsih,scsi_mod,scsi_transport_spi");

MODULE_ALIAS("pci:v00001000d00000030sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000117Cd00000030sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00000040sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "0FB4C011C61458934068E67");

MODULE_INFO(suserelease, "ALP-0.1");
