#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(mlx5_core_uplink_netdev_event_replay, 0x41700420, "");
SYMBOL_CRC(mlx5_core_mp_event_replay, 0x5eff15c5, "");
SYMBOL_CRC(mlx5_is_roce_on, 0xc188de02, "");
SYMBOL_CRC(mlx5_vf_get_core_dev, 0xec86e17a, "");
SYMBOL_CRC(mlx5_vf_put_core_dev, 0xdf0de182, "");
SYMBOL_CRC(mlx5_cmd_out_err, 0x6c14ba4b, "");
SYMBOL_CRC(mlx5_cmd_check, 0x1864cd6c, "");
SYMBOL_CRC(mlx5_cmd_do, 0x95e92cb0, "");
SYMBOL_CRC(mlx5_cmd_exec, 0xda269b63, "");
SYMBOL_CRC(mlx5_cmd_exec_polling, 0x13050232, "");
SYMBOL_CRC(mlx5_cmd_init_async_ctx, 0x0f0b7346, "");
SYMBOL_CRC(mlx5_cmd_cleanup_async_ctx, 0xdf61caff, "");
SYMBOL_CRC(mlx5_cmd_exec_cb, 0x0d4ccea1, "");
SYMBOL_CRC(mlx5_debugfs_root, 0x1224ea28, "");
SYMBOL_CRC(mlx5_debugfs_get_dev_root, 0x9867fb84, "");
SYMBOL_CRC(mlx5_qp_debugfs_init, 0x619c582b, "");
SYMBOL_CRC(mlx5_qp_debugfs_cleanup, 0x1cce9f73, "");
SYMBOL_CRC(mlx5_debug_qp_add, 0xb3495472, "");
SYMBOL_CRC(mlx5_debug_qp_remove, 0x1a9bc6c1, "");
SYMBOL_CRC(mlx5_core_query_vendor_id, 0xdb703319, "");
SYMBOL_CRC(mlx5_eq_enable, 0xa3529341, "");
SYMBOL_CRC(mlx5_eq_disable, 0xa793c7fd, "");
SYMBOL_CRC(mlx5_eq_create_generic, 0x68cffce3, "");
SYMBOL_CRC(mlx5_eq_destroy_generic, 0x5706810f, "");
SYMBOL_CRC(mlx5_eq_get_eqe, 0xff0902e2, "");
SYMBOL_CRC(mlx5_eq_update_ci, 0x6d019363, "");
SYMBOL_CRC(mlx5_comp_eqn_get, 0x9b14a1a1, "");
SYMBOL_CRC(mlx5_comp_vectors_max, 0x076bf169, "");
SYMBOL_CRC(mlx5_comp_vector_get_cpu, 0x9fe4df47, "");
SYMBOL_CRC(mlx5_eq_notifier_register, 0x4f824c25, "");
SYMBOL_CRC(mlx5_eq_notifier_unregister, 0xc5de55df, "");
SYMBOL_CRC(mlx5_get_uars_page, 0x807d1285, "");
SYMBOL_CRC(mlx5_put_uars_page, 0xd75088b4, "");
SYMBOL_CRC(mlx5_alloc_bfreg, 0xd1055f8e, "");
SYMBOL_CRC(mlx5_free_bfreg, 0x7a531a27, "");
SYMBOL_CRC(mlx5_core_attach_mcg, 0xa91c691a, "");
SYMBOL_CRC(mlx5_core_detach_mcg, 0xb57e436d, "");
SYMBOL_CRC(mlx5_create_cq, 0xa76b0fce, "");
SYMBOL_CRC(mlx5_core_create_cq, 0x91901128, "");
SYMBOL_CRC(mlx5_core_destroy_cq, 0xa327ae9a, "");
SYMBOL_CRC(mlx5_core_query_cq, 0x7bf14ed9, "");
SYMBOL_CRC(mlx5_core_modify_cq, 0x5ad67a07, "");
SYMBOL_CRC(mlx5_core_modify_cq_moderation, 0x95d2a444, "");
SYMBOL_CRC(mlx5_frag_buf_alloc_node, 0xa270e0d7, "_gpl");
SYMBOL_CRC(mlx5_frag_buf_free, 0xa8d22b06, "_gpl");
SYMBOL_CRC(mlx5_db_alloc_node, 0xbbae7af2, "_gpl");
SYMBOL_CRC(mlx5_db_free, 0x18c9a383, "_gpl");
SYMBOL_CRC(mlx5_fill_page_frag_array_perm, 0x81aadc6a, "_gpl");
SYMBOL_CRC(mlx5_fill_page_frag_array, 0x072460c4, "_gpl");
SYMBOL_CRC(mlx5_access_reg, 0x6f74c581, "_gpl");
SYMBOL_CRC(mlx5_core_access_reg, 0x8acd3f39, "_gpl");
SYMBOL_CRC(mlx5_set_port_caps, 0x4cd8489b, "_gpl");
SYMBOL_CRC(mlx5_query_port_ptys, 0x98e7cdd8, "_gpl");
SYMBOL_CRC(mlx5_query_ib_port_oper, 0x0ffafaa0, "");
SYMBOL_CRC(mlx5_toggle_port_link, 0x8e8ba7fe, "_gpl");
SYMBOL_CRC(mlx5_set_port_admin_status, 0x57666c3a, "_gpl");
SYMBOL_CRC(mlx5_query_port_admin_status, 0xb1b36d3f, "_gpl");
SYMBOL_CRC(mlx5_set_port_mtu, 0x3df77bc6, "_gpl");
SYMBOL_CRC(mlx5_query_port_max_mtu, 0xc13bf5ca, "_gpl");
SYMBOL_CRC(mlx5_query_port_oper_mtu, 0x0ee7fb53, "_gpl");
SYMBOL_CRC(mlx5_query_module_eeprom, 0x2f720cc6, "_gpl");
SYMBOL_CRC(mlx5_query_module_eeprom_by_page, 0x76fdb383, "_gpl");
SYMBOL_CRC(mlx5_query_port_vl_hw_cap, 0xa5531abc, "_gpl");
SYMBOL_CRC(mlx5_set_port_pause, 0x2f30d913, "_gpl");
SYMBOL_CRC(mlx5_query_port_pause, 0x0657c280, "_gpl");
SYMBOL_CRC(mlx5_set_port_pfc, 0x3316e8a8, "_gpl");
SYMBOL_CRC(mlx5_query_port_pfc, 0x42682a3b, "_gpl");
SYMBOL_CRC(mlx5_set_port_prio_tc, 0x891b6827, "_gpl");
SYMBOL_CRC(mlx5_query_port_prio_tc, 0xb43eab75, "_gpl");
SYMBOL_CRC(mlx5_set_port_tc_group, 0x5ae13116, "_gpl");
SYMBOL_CRC(mlx5_query_port_tc_group, 0xf4fd6a32, "_gpl");
SYMBOL_CRC(mlx5_set_port_tc_bw_alloc, 0xe29bfb48, "_gpl");
SYMBOL_CRC(mlx5_query_port_tc_bw_alloc, 0x0b192322, "_gpl");
SYMBOL_CRC(mlx5_modify_port_ets_rate_limit, 0x25d531bd, "_gpl");
SYMBOL_CRC(mlx5_query_port_ets_rate_limit, 0x8db539df, "_gpl");
SYMBOL_CRC(mlx5_set_port_wol, 0xf4de315c, "_gpl");
SYMBOL_CRC(mlx5_query_port_wol, 0xe199d8e9, "_gpl");
SYMBOL_CRC(mlx5_core_create_mkey, 0x12087d29, "");
SYMBOL_CRC(mlx5_core_destroy_mkey, 0xd21dd5dc, "");
SYMBOL_CRC(mlx5_core_query_mkey, 0x87b5a1e4, "");
SYMBOL_CRC(mlx5_core_create_psv, 0x0dd38d36, "");
SYMBOL_CRC(mlx5_core_destroy_psv, 0x1da6d2fd, "");
SYMBOL_CRC(mlx5_core_get_terminate_scatter_list_mkey, 0x97eacf89, "");
SYMBOL_CRC(mlx5_core_alloc_pd, 0x558b61ae, "");
SYMBOL_CRC(mlx5_core_dealloc_pd, 0xb869348a, "");
SYMBOL_CRC(mlx5_core_alloc_transport_domain, 0x056b5d98, "");
SYMBOL_CRC(mlx5_core_dealloc_transport_domain, 0xbf221d8d, "");
SYMBOL_CRC(mlx5_core_create_rq, 0x2fcf1b27, "");
SYMBOL_CRC(mlx5_core_modify_rq, 0x93f4e10d, "");
SYMBOL_CRC(mlx5_core_destroy_rq, 0xb12bd289, "");
SYMBOL_CRC(mlx5_core_query_rq, 0xf84f1a22, "");
SYMBOL_CRC(mlx5_core_modify_sq, 0xfab3389d, "");
SYMBOL_CRC(mlx5_core_query_sq, 0x9108c3b2, "");
SYMBOL_CRC(mlx5_core_query_sq_state, 0xd45bb000, "_gpl");
SYMBOL_CRC(mlx5_core_create_tir, 0xcc2e3ca2, "");
SYMBOL_CRC(mlx5_core_destroy_tir, 0xbe0b39b8, "");
SYMBOL_CRC(mlx5_core_create_tis, 0x3c48e83f, "");
SYMBOL_CRC(mlx5_core_modify_tis, 0xeb8b197a, "");
SYMBOL_CRC(mlx5_core_destroy_tis, 0xaae6ffec, "");
SYMBOL_CRC(mlx5_core_create_rqt, 0x4e61b140, "");
SYMBOL_CRC(mlx5_core_destroy_rqt, 0x39848a7d, "");
SYMBOL_CRC(mlx5_query_nic_vport_min_inline, 0xd81e3b57, "_gpl");
SYMBOL_CRC(mlx5_query_min_inline, 0xb23c3662, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mac_address, 0xe9e59cfd, "_gpl");
SYMBOL_CRC(mlx5_query_mac_address, 0xa7045e38, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mac_address, 0x82e79dad, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mtu, 0x58388062, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mtu, 0x4951196b, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mac_list, 0x543b9e32, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mac_list, 0xc929c40d, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_vlans, 0xed6f72f5, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_system_image_guid, 0x5dff5fad, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_node_guid, 0xa0dfcb05, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_qkey_viol_cntr, 0x91e7bdf9, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_gid, 0x39e2d10a, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_pkey, 0x7ce5efed, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_context, 0xaf155426, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_system_image_guid, 0xc0794d4c, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_node_guid, 0xbec926f2, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_promisc, 0x4af3981d, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_promisc, 0xd73909bc, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_update_local_lb, 0x520155e2, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_query_local_lb, 0x1bc854fd, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_enable_roce, 0xad80474c, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_disable_roce, 0x2bf94ce3, "");
SYMBOL_CRC(mlx5_core_query_vport_counter, 0x695f2438, "_gpl");
SYMBOL_CRC(mlx5_core_modify_hca_vport_context, 0x2a67ffce, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_affiliate_multiport, 0xddedcd80, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_unaffiliate_multiport, 0xcd1f527a, "_gpl");
SYMBOL_CRC(mlx5_query_nic_system_image_guid, 0x1237d7b1, "_gpl");
SYMBOL_CRC(mlx5_vport_get_other_func_cap, 0xfe48f143, "_gpl");
SYMBOL_CRC(mlx5_sriov_blocking_notifier_unregister, 0x88120359, "");
SYMBOL_CRC(mlx5_sriov_blocking_notifier_register, 0x676fb50b, "");
SYMBOL_CRC(mlx5_create_flow_table, 0x23bb3f50, "");
SYMBOL_CRC(mlx5_flow_table_id, 0xa85e04b7, "");
SYMBOL_CRC(mlx5_create_lag_demux_flow_table, 0xe5ad0cad, "");
SYMBOL_CRC(mlx5_create_auto_grouped_flow_table, 0x888a2246, "");
SYMBOL_CRC(mlx5_create_flow_group, 0x5c6e2b0d, "");
SYMBOL_CRC(mlx5_add_flow_rules, 0xc17c7b4c, "");
SYMBOL_CRC(mlx5_del_flow_rules, 0xafc29d8e, "");
SYMBOL_CRC(mlx5_destroy_flow_table, 0xcc002b85, "");
SYMBOL_CRC(mlx5_destroy_flow_group, 0xb28dbbe8, "");
SYMBOL_CRC(mlx5_get_fdb_sub_ns, 0x2c5ee048, "");
SYMBOL_CRC(mlx5_get_flow_namespace, 0x987348dd, "");
SYMBOL_CRC(mlx5_fs_add_rx_underlay_qpn, 0xd79fb32a, "");
SYMBOL_CRC(mlx5_fs_remove_rx_underlay_qpn, 0x84746aed, "");
SYMBOL_CRC(mlx5_modify_header_alloc, 0x7ef926a4, "");
SYMBOL_CRC(mlx5_modify_header_dealloc, 0xe24a7990, "");
SYMBOL_CRC(mlx5_packet_reformat_alloc, 0xd6176a32, "");
SYMBOL_CRC(mlx5_packet_reformat_dealloc, 0x15941dd6, "");
SYMBOL_CRC(mlx5_msix_alloc, 0x2e9b90da, "");
SYMBOL_CRC(mlx5_msix_free, 0x2be6bdba, "");
SYMBOL_CRC(mlx5_fc_create, 0xe8c947bf, "");
SYMBOL_CRC(mlx5_fc_id, 0x96eb2c99, "");
SYMBOL_CRC(mlx5_fc_destroy, 0x1a05b7ca, "");
SYMBOL_CRC(mlx5_fc_query, 0x5101765f, "");
SYMBOL_CRC(mlx5_rl_is_in_range, 0xe863e97c, "");
SYMBOL_CRC(mlx5_rl_are_equal, 0x61492bb7, "");
SYMBOL_CRC(mlx5_rl_add_rate_raw, 0x21c5a4ce, "");
SYMBOL_CRC(mlx5_rl_remove_rate_raw, 0xd0c9dd89, "");
SYMBOL_CRC(mlx5_rl_add_rate, 0xc3232795, "");
SYMBOL_CRC(mlx5_rl_remove_rate, 0xb7f8abdc, "");
SYMBOL_CRC(mlx5_cmd_create_vport_lag, 0x1fed5305, "");
SYMBOL_CRC(mlx5_cmd_destroy_vport_lag, 0x13be486d, "");
SYMBOL_CRC(mlx5_lag_is_roce, 0xfbc3a122, "");
SYMBOL_CRC(mlx5_lag_is_active, 0x80d4094d, "");
SYMBOL_CRC(mlx5_lag_mode_is_hash, 0xdc785970, "");
SYMBOL_CRC(mlx5_lag_is_master, 0x14993704, "");
SYMBOL_CRC(mlx5_lag_is_sriov, 0x44d0a405, "");
SYMBOL_CRC(mlx5_lag_is_shared_fdb, 0x15deadc0, "");
SYMBOL_CRC(mlx5_lag_get_roce_netdev, 0x8a5f95be, "");
SYMBOL_CRC(mlx5_lag_get_slave_port, 0x000afe35, "");
SYMBOL_CRC(mlx5_lag_get_num_ports, 0xd1688d9e, "");
SYMBOL_CRC(mlx5_lag_get_next_peer_mdev, 0x5d4fc408, "");
SYMBOL_CRC(mlx5_lag_query_cong_counters, 0xf9a0aa46, "");
SYMBOL_CRC(mlx5_notifier_register, 0x6f361e40, "");
SYMBOL_CRC(mlx5_notifier_unregister, 0xf86046c6, "");
SYMBOL_CRC(mlx5_blocking_notifier_register, 0x82045fb0, "");
SYMBOL_CRC(mlx5_blocking_notifier_unregister, 0xed073b4f, "");
SYMBOL_CRC(mlx5_core_reserved_gids_count, 0x5bd76bb7, "_gpl");
SYMBOL_CRC(mlx5_core_roce_gid_set, 0xc8494d22, "");
SYMBOL_CRC(mlx5_dm_sw_icm_alloc, 0x3eb748b9, "_gpl");
SYMBOL_CRC(mlx5_dm_sw_icm_dealloc, 0x63633d7f, "_gpl");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_ft, 0x03e561b5, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_ft, 0xab521f6e, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_ft, 0x984e7f63, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_add_ft, 0xb4e976bb, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_ft, 0xaaf1d676, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_ft, 0xd020dd1f, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_ft, 0x315ac8a0, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_ft, 0xe30fb2a8, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_fg, 0x620a2027, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_fg, 0x1c57c524, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_fg, 0xf9a13ef1, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_add_fg, 0x9d36ddd0, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_fg, 0xcb1e97e4, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_fg, 0xba5c2f4f, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_fg, 0x50b58932, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_fg, 0xcad019c3, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_set_fte, 0x4455e91e, "");
SYMBOL_CRC(__traceiter_mlx5_fs_set_fte, 0x2c7bb2e2, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_set_fte, 0x2b7e35e1, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_set_fte, 0xb06c0bfd, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_fte, 0xddae51da, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_fte, 0x36006f18, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_fte, 0xb2858d25, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_fte, 0xacfe8a18, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_rule, 0x95668780, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_rule, 0x9e31c9ec, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_rule, 0xb80b43d1, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_add_rule, 0xdb622108, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_rule, 0x20b48c36, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_rule, 0x5ed395f6, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_rule, 0x0dd94867, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_rule, 0x62dc190a, "");
SYMBOL_CRC(__tracepoint_mlx5_fw, 0xf8c3b542, "");
SYMBOL_CRC(__traceiter_mlx5_fw, 0xaf04a389, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fw, 0xaf5648d2, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fw, 0xdfbc08aa, "");
SYMBOL_CRC(mlx5_rsc_dump_cmd_create, 0x3399cc04, "");
SYMBOL_CRC(mlx5_rsc_dump_cmd_destroy, 0xad6815cd, "");
SYMBOL_CRC(mlx5_rsc_dump_next, 0x0c5b841e, "");
SYMBOL_CRC(mlx5_lag_is_mpesw, 0x6e86270d, "");
SYMBOL_CRC(mlx5_eswitch_mode, 0xd11ec042, "_gpl");
SYMBOL_CRC(mlx5_eswitch_get_encap_mode, 0x5765d92f, "");
SYMBOL_CRC(mlx5_eswitch_get_total_vports, 0x2641ca81, "_gpl");
SYMBOL_CRC(mlx5_eswitch_get_core_dev, 0x3b4cf028, "");
SYMBOL_CRC(mlx5_eswitch_add_send_to_vport_rule, 0x8f012cd3, "");
SYMBOL_CRC(mlx5_eswitch_register_vport_reps, 0xcdd837fa, "");
SYMBOL_CRC(mlx5_eswitch_unregister_vport_reps, 0x844b3436, "");
SYMBOL_CRC(mlx5_eswitch_get_proto_dev, 0x3b584e56, "");
SYMBOL_CRC(mlx5_eswitch_uplink_get_proto_dev, 0x8d33beb8, "");
SYMBOL_CRC(mlx5_eswitch_vport_rep, 0xbbd056ce, "");
SYMBOL_CRC(mlx5_eswitch_reg_c1_loopback_enabled, 0x1fa70087, "");
SYMBOL_CRC(mlx5_eswitch_vport_match_metadata_enabled, 0xa89d7b49, "");
SYMBOL_CRC(mlx5_eswitch_get_vport_metadata_for_match, 0xf442073e, "");
SYMBOL_CRC(mlx5_eswitch_get_vport_metadata_for_set, 0x5c7a7756, "");
SYMBOL_CRC(mlx5_mpfs_add_mac, 0x89a5c24e, "");
SYMBOL_CRC(mlx5_mpfs_del_mac, 0xad985922, "");
SYMBOL_CRC(mlx5_rdma_rn_get_params, 0x4933cf26, "");
SYMBOL_CRC(mlx5_fpga_sbu_conn_create, 0xeb1ba803, "");
SYMBOL_CRC(mlx5_fpga_sbu_conn_destroy, 0x03067ab6, "");
SYMBOL_CRC(mlx5_fpga_sbu_conn_sendmsg, 0x4b339c52, "");
SYMBOL_CRC(mlx5_fpga_mem_read, 0x4beeb1a3, "");
SYMBOL_CRC(mlx5_fpga_mem_write, 0x55a93e54, "");
SYMBOL_CRC(mlx5_fpga_get_sbu_caps, 0xcd61de7f, "");
SYMBOL_CRC(mlx5_macsec_del_roce_rule, 0x42b43a38, "_gpl");
SYMBOL_CRC(mlx5_macsec_add_roce_rule, 0x3d08fdcc, "_gpl");
SYMBOL_CRC(mlx5_macsec_add_roce_sa_rules, 0x49566105, "_gpl");
SYMBOL_CRC(mlx5_macsec_del_roce_sa_rules, 0x390b982c, "_gpl");
SYMBOL_CRC(mlx5_ipsec_device_caps, 0xdd33612f, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbcab6ee6, "sscanf" },
	{ 0x217e64cc, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0x4827c9ae, "netif_set_xps_queue" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xae85547, "__ethtool_get_link_ksettings" },
	{ 0x9cd7551a, "rhashtable_walk_stop" },
	{ 0xe9ffc063, "down_trylock" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x398e7006, "__SCK__tp_func_xdp_exception" },
	{ 0x49dbb0b9, "devlink_fmsg_binary_pair_nest_end" },
	{ 0x64127b67, "bitmap_find_next_zero_area_off" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0xe01a3964, "pci_restore_state" },
	{ 0x7ff306d7, "bpf_trace_run1" },
	{ 0x672f8d0c, "__inet6_lookup_established" },
	{ 0xb2c0e27f, "netif_tx_wake_queue" },
	{ 0x48d27375, "__bitmap_intersects" },
	{ 0x7bc7739a, "device_del" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xb19b445, "ioread8" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x63365435, "dma_sync_single_for_cpu" },
	{ 0x7f6cee89, "rhashtable_free_and_destroy" },
	{ 0x3c3cd595, "page_pool_create" },
	{ 0x58bc998d, "skb_checksum" },
	{ 0x5c5dcf2b, "devl_param_driverinit_value_set" },
	{ 0xfb578fc5, "memset" },
	{ 0xc067a90c, "_dev_warn" },
	{ 0xa718a217, "flow_rule_match_ports" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xa6832797, "devlink_fmsg_binary_pair_nest_start" },
	{ 0x9bb4e317, "ioread32be" },
	{ 0x6f41a639, "irq_cpu_rmap_remove" },
	{ 0xad20120a, "xfrm_replay_seqhi" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xc9f106a0, "devl_resources_unregister" },
	{ 0x888ed697, "ptp_clock_event" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0xf6fcad3d, "netif_schedule_queue" },
	{ 0xedc6c14d, "__alloc_pages" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0xf9c0b663, "strlcat" },
	{ 0xb4863b72, "devlink_fmsg_u64_pair_put" },
	{ 0x1a07eb46, "pci_set_master" },
	{ 0x5d3c2949, "devl_trap_groups_register" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x615c1826, "debugfs_create_u32" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x25b14373, "flow_rule_match_ipv6_addrs" },
	{ 0xba7e0608, "netdev_set_tc_queue" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd3752c27, "atomic_notifier_call_chain" },
	{ 0x9cec537f, "devl_params_unregister" },
	{ 0xeee23e1c, "ptp_clock_unregister" },
	{ 0x62cc890f, "__pskb_pull_tail" },
	{ 0xe68875be, "xp_dma_unmap" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xece784c2, "rb_first" },
	{ 0xb5a1cfd4, "__netdev_alloc_skb" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x2a5ea9ef, "rhashtable_destroy" },
	{ 0x7f6af1ea, "devlink_trap_report" },
	{ 0x8e1dd96, "__neigh_event_send" },
	{ 0xd1c2d473, "flow_block_cb_alloc" },
	{ 0xa0994320, "devlink_fmsg_obj_nest_start" },
	{ 0xe40c37ea, "down_write_trylock" },
	{ 0x731bfc19, "dev_printk_emit" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc0a05f11, "devl_traps_register" },
	{ 0x17f6d8a0, "devl_unlock" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0xe6084801, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x46fc89d4, "dma_set_coherent_mask" },
	{ 0x3520d6ff, "__neigh_create" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x745a981, "xa_erase" },
	{ 0x8ffb153a, "pv_ops" },
	{ 0xe190a6b9, "flow_rule_match_enc_control" },
	{ 0xc11c3d5d, "bpf_trace_run3" },
	{ 0xdd969597, "seq_read" },
	{ 0x99078b39, "trace_print_flags_seq" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0xe5f73406, "hyperv_write_cfg_blk" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x3e1ee1a9, "ipv6_find_hdr" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x99d472b1, "net_dim_get_rx_moderation" },
	{ 0xdd64e639, "strscpy" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0xd4bf1a24, "debugfs_create_file" },
	{ 0xe5be6ea6, "rps_may_expire_flow" },
	{ 0xe4dbc7fb, "metadata_dst_free" },
	{ 0x4ece3615, "blocking_notifier_chain_unregister" },
	{ 0xd3737273, "xsk_set_tx_need_wakeup" },
	{ 0xda3b166a, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xe21e3161, "netdev_reset_tc" },
	{ 0xb45feb04, "neigh_destroy" },
	{ 0xa5eea68, "dma_free_attrs" },
	{ 0x7181db30, "atomic_notifier_chain_unregister" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x7c2367f, "trace_event_buffer_reserve" },
	{ 0x850bb6db, "devlink_health_reporter_destroy" },
	{ 0xae90f029, "debugfs_create_x32" },
	{ 0xd20afa7d, "flow_rule_match_enc_ipv6_addrs" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xdfcc992c, "current_work" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xb6448cec, "flow_rule_match_enc_ports" },
	{ 0xf8aacf00, "xdp_return_frame_bulk" },
	{ 0xd45cc6ca, "bin2hex" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x53481f06, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x2bc96206, "bpf_prog_add" },
	{ 0x7cfe368d, "net_dim_get_def_tx_moderation" },
	{ 0x8fa25c24, "xa_find" },
	{ 0xff2aa033, "devl_assert_locked" },
	{ 0xbb75ad75, "pcie_print_link_status" },
	{ 0x81855c45, "xp_set_rxq_info" },
	{ 0xfd876576, "flow_rule_match_vlan" },
	{ 0xcbe6637e, "alloc_pages" },
	{ 0x207841f4, "devl_port_unregister" },
	{ 0xc6d14711, "xdp_rxq_info_unreg" },
	{ 0x6492f5e1, "page_pool_alloc_pages" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0xb807805b, "devl_param_driverinit_value_get" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xf5f0d8d3, "napi_build_skb" },
	{ 0x345c8396, "netdev_master_upper_dev_get_rcu" },
	{ 0x7c6f5a44, "__folio_put" },
	{ 0xd0269a60, "__xdp_rxq_info_reg" },
	{ 0xb218a785, "xdp_set_features_flag" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x4afc41af, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xf1f076fc, "bpf_prog_inc" },
	{ 0x3ac3feba, "rhltable_init" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x9246414b, "netif_carrier_event" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb88dc399, "netif_carrier_off" },
	{ 0x40985489, "seq_printf" },
	{ 0x8cd88f22, "flow_rule_match_meta" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x5b3e282f, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x92b2a037, "devlink_priv" },
	{ 0x5f7b725e, "devlink_port_register_with_ops" },
	{ 0x63dfdada, "pci_disable_sriov" },
	{ 0xac4ce28, "metadata_dst_alloc" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x8809b629, "dst_release" },
	{ 0x9093083b, "netif_carrier_on" },
	{ 0x74e56aee, "netdev_set_num_tc" },
	{ 0x4ea25709, "dql_reset" },
	{ 0x290a7ad7, "hwmon_device_unregister" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x26dfea32, "arp_tbl" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x56d815cd, "pci_disable_device" },
	{ 0x8ac3334b, "net_dim_get_def_rx_moderation" },
	{ 0x258d2f76, "net_dim_get_tx_moderation" },
	{ 0x10630164, "boot_cpu_data" },
	{ 0x1b034c14, "seq_puts" },
	{ 0x17f69f78, "xp_free" },
	{ 0x54651f9b, "rhashtable_walk_next" },
	{ 0xf7698053, "page_pool_update_nid" },
	{ 0xb0feed3, "single_release" },
	{ 0x6137b6cd, "devlink_fmsg_string_pair_put" },
	{ 0x572abcca, "dma_set_mask" },
	{ 0xc0363ad0, "__auxiliary_driver_register" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x57f8ff9c, "netif_set_tso_max_size" },
	{ 0xf2f485dd, "vlan_dev_vlan_id" },
	{ 0x5c226810, "__skb_flow_dissect" },
	{ 0x829c4f19, "pci_msix_alloc_irq_at" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x1fe26ae1, "seq_open" },
	{ 0x2b4509dd, "devlink_health_reporter_state_update" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0x837c54d4, "kmalloc_trace" },
	{ 0x40a4d01, "xdp_master_redirect" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x820a2215, "xp_raw_get_data" },
	{ 0xe16f3b18, "tls_validate_xmit_skb" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x9da0ba4, "xa_set_mark" },
	{ 0x8740b04, "napi_schedule_prep" },
	{ 0x55ecb923, "qdisc_reset" },
	{ 0xb276089b, "napi_consume_skb" },
	{ 0xa924297d, "devlink_fmsg_pair_nest_end" },
	{ 0xe3528efa, "xp_alloc_batch" },
	{ 0xc896e7be, "flow_rule_match_mpls" },
	{ 0x754d539c, "strlen" },
	{ 0x5a0d8738, "napi_disable" },
	{ 0x43866d04, "dev_kfree_skb_any_reason" },
	{ 0x9c225adc, "dcb_ieee_delapp" },
	{ 0xcd783ec6, "bpf_trace_run7" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0xb89c7182, "devl_port_health_reporter_create" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x8de5729f, "debugfs_create_u8" },
	{ 0x8bfc9a25, "single_open" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x561f9d5, "devl_register" },
	{ 0x349cba85, "strchr" },
	{ 0xfd93ee35, "ioremap_wc" },
	{ 0x164f46b7, "debugfs_create_dir" },
	{ 0xcc1b882a, "idr_get_next_ul" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x628b922f, "skb_ext_add" },
	{ 0x4edc3e4b, "pcie_bandwidth_available" },
	{ 0x5f493e21, "pci_free_irq_vectors" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x211189a2, "flow_rule_match_control" },
	{ 0xf05b1f7f, "flow_rule_match_ip" },
	{ 0x98311c85, "pci_enable_sriov" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x53b954a2, "up_read" },
	{ 0xf188a662, "rhashtable_walk_exit" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0x2a66c31d, "dcb_ieee_setapp" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0x52326b44, "devl_trap_groups_unregister" },
	{ 0x862258db, "timecounter_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xa0e85e24, "xsk_tx_release" },
	{ 0x7aef6473, "devl_traps_unregister" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xc4ce890c, "pci_iov_get_pf_drvdata" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xcd05526, "pci_write_config_dword" },
	{ 0x17bcf262, "kmalloc_caches" },
	{ 0xddf046dd, "netdev_info" },
	{ 0x1b1dee2a, "neigh_lookup" },
	{ 0x8c48db4, "kmem_cache_destroy" },
	{ 0x47b69cbf, "page_pool_put_unrefed_page" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x727f3c66, "__tracepoint_xdp_exception" },
	{ 0xbb4f20ab, "__inet_lookup_established" },
	{ 0x8508602f, "xsk_tx_completed" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x2c69e63c, "alloc_etherdev_mqs" },
	{ 0x67a7a207, "netdev_lower_get_next" },
	{ 0x3bef4477, "secpath_set" },
	{ 0x7e97bd1a, "flow_block_cb_lookup" },
	{ 0xe914e41e, "strcpy" },
	{ 0xc08dadd4, "pci_save_state" },
	{ 0x5faf5b5c, "xp_dma_sync_for_device_slow" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x1adda40a, "devl_rate_leaf_create" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xa6fb28b5, "xp_alloc" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x7f9a983b, "pcie_capability_read_word" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xaef9153a, "devl_unregister" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x74c90b3a, "flow_rule_match_enc_keyid" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xc16cebb0, "bpf_prog_put" },
	{ 0x66ed592, "page_pool_get_stats" },
	{ 0x92e683f5, "down_timeout" },
	{ 0xf91927aa, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x860a77ac, "pci_cfg_access_unlock" },
	{ 0x85803023, "xp_dma_map" },
	{ 0xb985a914, "bpf_trace_run4" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xf60825f9, "devlink_unregister" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x320c2fb3, "skb_copy_bits" },
	{ 0x2c49e359, "debugfs_attr_write" },
	{ 0x47ad40c9, "dma_pool_create" },
	{ 0x20250eb8, "param_ops_uint" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x17737638, "pci_msix_vec_count" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xdb8b3690, "pci_enable_device" },
	{ 0x2c5010a, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x475880ee, "skb_tstamp_tx" },
	{ 0x6a76e187, "devlink_fmsg_binary_pair_put" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xba39b22e, "call_switchdev_notifiers" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0xe3ff2c41, "get_random_u64" },
	{ 0xf2583e18, "__napi_alloc_skb" },
	{ 0xfcd5fef1, "flow_indr_dev_register" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xff0addf5, "register_fib_notifier" },
	{ 0x8e7df96d, "auxiliary_device_init" },
	{ 0x7e003f2c, "ip6_dst_hoplimit" },
	{ 0xd896d87c, "netdev_update_features" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xd848a2d6, "flow_rule_match_enc_ip" },
	{ 0x525d0aa3, "trace_seq_printf" },
	{ 0x252cf133, "pci_alloc_irq_vectors" },
	{ 0xfe27fba4, "netif_napi_add_weight" },
	{ 0xd29c9d3e, "pci_enable_atomic_ops_to_root" },
	{ 0x43b14164, "seq_release" },
	{ 0xc8ce033b, "dev_add_pack" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd9916c3a, "idr_alloc_u32" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x9d43a157, "devlink_fmsg_u32_pair_put" },
	{ 0x7b2d2493, "trace_raw_output_prep" },
	{ 0x8e50f0bc, "devlink_fmsg_arr_pair_nest_end" },
	{ 0x2fe557c, "xsk_clear_tx_need_wakeup" },
	{ 0x88cb462d, "udp4_hwcsum" },
	{ 0x1b6865c, "xa_get_mark" },
	{ 0xba53f3fd, "devl_lock" },
	{ 0x1ba59527, "__kmalloc_node" },
	{ 0x4c8384f2, "bpf_warn_invalid_xdp_action" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x6652318c, "ndo_dflt_bridge_getlink" },
	{ 0x7241ed6a, "unregister_netdev" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0xb0cc10a3, "xdp_convert_zc_to_xdp_frame" },
	{ 0x52d54fce, "devlink_info_version_stored_put" },
	{ 0xca9360b5, "rb_next" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x9da1152f, "__trace_trigger_soft_disabled" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0x227bda04, "flow_rule_match_tcp" },
	{ 0xf8d07858, "bitmap_from_arr32" },
	{ 0x2f6dfdb6, "register_netdevice_notifier_dev_net" },
	{ 0x69f4a9bf, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x4e7282ae, "trace_event_printf" },
	{ 0xa2c3230c, "devlink_health_reporter_create" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xff81b6e0, "flow_rule_match_cvlan" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xe02c9c92, "__xa_erase" },
	{ 0xf2fd4532, "__pci_register_driver" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0xcf2a6966, "up" },
	{ 0x99f7371c, "refcount_dec_and_mutex_lock" },
	{ 0xda839b52, "dma_sync_single_for_device" },
	{ 0xbf760c47, "xdp_rxq_info_unused" },
	{ 0xa71d2e2c, "ioread16be" },
	{ 0xedc03953, "iounmap" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x6ea300df, "pci_num_vf" },
	{ 0x5c187baf, "debugfs_create_atomic_t" },
	{ 0xa6b47374, "flow_rule_match_eth_addrs" },
	{ 0x70bafdaf, "skb_add_rx_frag" },
	{ 0xd93bd84, "xfrm_state_check_expire" },
	{ 0xda0b60c9, "devlink_port_attrs_set" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x26fdf963, "ptp_clock_index" },
	{ 0x73594e89, "pci_request_regions" },
	{ 0x15875f85, "___pskb_trim" },
	{ 0x93edef07, "devlink_health_report" },
	{ 0x1a0599da, "trace_event_raw_init" },
	{ 0x1b8a37cc, "flow_block_cb_free" },
	{ 0xb911fbe7, "devl_port_fn_devlink_set" },
	{ 0x69acdf38, "memcpy" },
	{ 0x50fb0a79, "xp_can_alloc" },
	{ 0xe59a909e, "psample_sample_packet" },
	{ 0x34998e50, "dev_get_iflink" },
	{ 0x37a0cba, "kfree" },
	{ 0x6774bd33, "devlink_alloc_ns" },
	{ 0xe4484f29, "devl_rate_leaf_destroy" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x9e178d8a, "pci_sriov_get_totalvfs" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xad127bbe, "devlink_register" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0xf28bd730, "devlink_remote_reload_actions_performed" },
	{ 0xf8c3f39f, "devlink_fmsg_obj_nest_end" },
	{ 0x261814aa, "pcpu_hot" },
	{ 0xdc164e7b, "seq_lseek" },
	{ 0xad66078e, "page_pool_destroy" },
	{ 0x4988bba6, "xdp_do_redirect" },
	{ 0xe66082b, "__put_devmap_managed_page_refs" },
	{ 0xe95c0840, "devlink_free" },
	{ 0xb913bdc7, "tls_get_record" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0x4b5acf74, "rhashtable_init" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8d620d35, "bpf_trace_run2" },
	{ 0xff1e9dd8, "seq_list_start" },
	{ 0x21ae9cbe, "netdev_warn" },
	{ 0x530e0f8c, "devl_health_reporter_destroy" },
	{ 0x895e703d, "udp_tunnel_nic_ops" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x36df6d9d, "devl_rate_nodes_destroy" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xde19fafd, "pci_irq_vector" },
	{ 0x2a3351e7, "flow_rule_match_ipv4_addrs" },
	{ 0xfc6b4856, "ip_route_output_flow" },
	{ 0x2af31c70, "__netif_napi_del" },
	{ 0xe5ce1a56, "rhashtable_walk_enter" },
	{ 0x1281003, "devlink_fmsg_binary_put" },
	{ 0xeb660875, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xeb6d1e6, "__dynamic_dev_dbg" },
	{ 0x1e3817a3, "sched_numa_hop_mask" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x41fa9c96, "sock_gen_put" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0x32066026, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x907d14d, "blocking_notifier_chain_register" },
	{ 0x7f9dc7fb, "netdev_err" },
	{ 0x8fe0996a, "pci_cfg_access_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x6330d5c1, "register_netdevice_notifier_net" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x84601143, "dev_driver_string" },
	{ 0x157bb488, "netdev_port_same_parent_id" },
	{ 0x702eb12c, "trace_event_buffer_commit" },
	{ 0xd6e65eee, "dev_addr_mod" },
	{ 0x352dcd99, "xdp_rxq_info_reg_mem_model" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0x84a0ca4d, "bitmap_zalloc_node" },
	{ 0x3a26ed11, "sched_clock" },
	{ 0x67911fc9, "ptp_find_pin" },
	{ 0x727d2d84, "eth_type_trans" },
	{ 0xd5fa8b76, "pci_read_config_dword" },
	{ 0x87043732, "request_firmware_direct" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x2eee846a, "flow_rule_match_icmp" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x417244c1, "auxiliary_driver_unregister" },
	{ 0xd82db8c7, "dma_map_page_attrs" },
	{ 0x1b5f4377, "trace_seq_putc" },
	{ 0x72d9f10, "napi_complete_done" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xca17ac01, "_find_next_andnot_bit" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x9fb3da8, "devlink_port_attrs_pci_vf_set" },
	{ 0xafcc69b4, "priv_to_devlink" },
	{ 0x823eae06, "blocking_notifier_call_chain" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0x4f5f2ffc, "vlan_dev_vlan_proto" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x2b9997fb, "atomic_notifier_chain_register" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe40bb23e, "devlink_health_reporter_priv" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x633d51b, "put_device" },
	{ 0x7f52071a, "net_dim" },
	{ 0x110e22ba, "__napi_schedule" },
	{ 0xab3dbeb3, "devlink_port_health_reporter_create" },
	{ 0xd71b0f05, "pcie_relaxed_ordering_enabled" },
	{ 0xd81685f9, "xsk_set_rx_need_wakeup" },
	{ 0xa916b694, "strnlen" },
	{ 0x37f85cb1, "kmalloc_node_trace" },
	{ 0x5fe688c9, "devlink_port_attrs_pci_pf_set" },
	{ 0xbfac09c3, "flow_rule_match_enc_ipv4_addrs" },
	{ 0x6a0331ca, "netif_device_detach" },
	{ 0xe419bc99, "iowrite32be" },
	{ 0x618911fc, "numa_node" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x56a3836, "__free_pages" },
	{ 0xcaf27597, "kmem_cache_alloc" },
	{ 0x61a93abb, "_dev_info" },
	{ 0x436e5d31, "skb_vlan_pop" },
	{ 0xdf8d6b9e, "napi_gro_receive" },
	{ 0xa6bbf3f7, "netif_device_attach" },
	{ 0x32cea271, "devl_resource_register" },
	{ 0xbc3f2cb0, "timecounter_cyc2time" },
	{ 0x76cc5419, "netdev_pick_tx" },
	{ 0x44f799b2, "flow_indr_dev_unregister" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x36380f00, "xp_raw_get_dma" },
	{ 0x6f3cf9b4, "eth_get_headlen" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x7b80e96e, "xdp_rxq_info_is_reg" },
	{ 0x70179897, "flow_rule_match_enc_opts" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xc2c5802, "work_busy" },
	{ 0x9fe56a6, "devlink_net" },
	{ 0x7fcc1f2e, "devlink_fmsg_bool_pair_put" },
	{ 0xb3db6cc1, "free_fib_info" },
	{ 0x1591b2c6, "hyperv_read_cfg_blk" },
	{ 0x810cf8ed, "devl_health_reporter_create" },
	{ 0x2d79a79a, "flow_block_cb_setup_simple" },
	{ 0xb8e4f463, "pci_msix_can_alloc_dyn" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xf14b1e6c, "flow_rule_match_basic" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x83e2a30d, "unregister_netdevice_notifier_dev_net" },
	{ 0x5397ab5b, "pci_find_capability" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x6f9e763b, "timecounter_read" },
	{ 0x32aae698, "pci_iov_vf_id" },
	{ 0x4b27d977, "devlink_fmsg_arr_pair_nest_start" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x487af0a8, "debugfs_attr_read" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0x9cd4e304, "flow_rule_match_ct" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x9114b616, "__xa_alloc" },
	{ 0x22f1b00a, "vlan_dev_real_dev" },
	{ 0x4e6e4b41, "radix_tree_delete" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x5a250d9a, "pci_msix_free_irq" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xee25d807, "__dev_get_by_index" },
	{ 0xac69c529, "perf_trace_run_bpf_submit" },
	{ 0x461dfab1, "devlink_fmsg_pair_nest_start" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0x44834f59, "devlink_port_unregister" },
	{ 0x16c0f894, "dev_get_port_parent_id" },
	{ 0x57bc19d2, "down_write" },
	{ 0xc2c0e1bc, "_dev_err" },
	{ 0x264f57e9, "init_net" },
	{ 0xce807a25, "up_write" },
	{ 0x11156de9, "softnet_data" },
	{ 0x7a01e26c, "ipv6_stub" },
	{ 0xb84c62b7, "simple_open" },
	{ 0xb5bac139, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x1c12c32, "cpu_bit_bitmap" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x9a6a0b9b, "xdp_return_frame" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x5361d151, "simple_attr_release" },
	{ 0x39627335, "ptp_clock_register" },
	{ 0xc8e69797, "devl_nested_devlink_set" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x748b7477, "xp_dma_sync_for_cpu_slow" },
	{ 0x35bd6bff, "xsk_tx_peek_desc" },
	{ 0xd379d468, "hwmon_device_register_with_info" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xafaa6031, "_find_next_and_bit" },
	{ 0xb92910a3, "netif_set_real_num_tx_queues" },
	{ 0x8ec9aec2, "devlink_fmsg_u8_pair_put" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0xa9899124, "__auxiliary_device_add" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x39d1cf5e, "irq_get_irq_data" },
	{ 0x5887c26a, "dev_remove_pack" },
	{ 0x7d4b9102, "netif_set_real_num_rx_queues" },
	{ 0x6626afca, "down" },
	{ 0x41bec84e, "dev_get_by_index" },
	{ 0xe2853aca, "bpf_trace_run5" },
	{ 0x1d6d0196, "flow_indr_block_cb_alloc" },
	{ 0x1e6d26a8, "strstr" },
	{ 0xebec9762, "skb_store_bits" },
	{ 0x70d3f9bc, "devl_port_register_with_ops" },
	{ 0xc1bde4ae, "dev_get_by_index_rcu" },
	{ 0x88fcec01, "kfree_skb_reason" },
	{ 0xbd465baa, "netdev_printk" },
	{ 0x954f099c, "idr_preload" },
	{ 0xc4d702d9, "mlxfw_firmware_flash" },
	{ 0x929e4028, "devlink_fmsg_u32_put" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x1a47daa6, "pcie_capability_clear_and_set_word_locked" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x2e29f29e, "skb_push" },
	{ 0xfbb8a761, "strscpy_pad" },
	{ 0xd76b2cb0, "kmem_cache_free" },
	{ 0x3d344615, "dma_alloc_attrs" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0x68ff5714, "debugfs_remove" },
	{ 0x74646e62, "pci_read_config_word" },
	{ 0x47dd427a, "napi_enable" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x99ba2f6, "xsk_clear_rx_need_wakeup" },
	{ 0xdc6cf6e1, "unregister_netdevice_notifier_net" },
	{ 0xbf3a2962, "xsk_uses_need_wakeup" },
	{ 0x94781de2, "register_netdev" },
	{ 0x3cb6960c, "unregister_fib_notifier" },
	{ 0xe4a2e584, "trace_event_reg" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0xd4724bc8, "devlink_port_attrs_pci_sf_set" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x1af267f8, "int_pow" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x5cede0a7, "xdp_flush_frame_bulk" },
	{ 0x4a3b9bc9, "debugfs_create_u64" },
	{ 0xffb7c514, "ida_free" },
	{ 0x20ff1591, "free_netdev" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0xcd279169, "nla_find" },
	{ 0x221394ae, "hyperv_reg_block_invalidate" },
	{ 0xebdc7956, "debugfs_create_size_t" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x5667251c, "devl_params_register" },
	{ 0xa00aca2a, "dql_completed" },
	{ 0xde80cd09, "ioremap" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x9a5dce5c, "rhashtable_walk_start_check" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xb1518e15, "cancel_work" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xd9f75a53, "module_layout" },
};

MODULE_INFO(depends, "pci-hyperv-intf,tls,psample,mlxfw");

MODULE_ALIAS("pci:v000015B3d00001011sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001012sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001013sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001014sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001015sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001016sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001017sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001018sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001019sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001021sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001023sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2DCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2DFsv*sd*bc*sc*i*");
MODULE_ALIAS("auxiliary:mlx5_core.eth");
MODULE_ALIAS("auxiliary:mlx5_core.sf");
MODULE_ALIAS("auxiliary:mlx5_core.eth-rep");

MODULE_INFO(srcversion, "4D2A822609F779BCF08641D");

MODULE_INFO(suserelease, "ALP-0.1");
