#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(mt76s_read_pcr, 0x85def5e7, "_gpl");
SYMBOL_CRC(mt76s_rr, 0x00828363, "_gpl");
SYMBOL_CRC(mt76s_wr, 0xe854787f, "_gpl");
SYMBOL_CRC(mt76s_rmw, 0xd3b28838, "_gpl");
SYMBOL_CRC(mt76s_write_copy, 0xdff79220, "_gpl");
SYMBOL_CRC(mt76s_read_copy, 0xf853e7ec, "_gpl");
SYMBOL_CRC(mt76s_wr_rp, 0x5028ed75, "_gpl");
SYMBOL_CRC(mt76s_rd_rp, 0x700a6c8b, "_gpl");
SYMBOL_CRC(mt76s_hw_init, 0x2a363cbe, "_gpl");
SYMBOL_CRC(mt76s_alloc_rx_queue, 0xfd170510, "_gpl");
SYMBOL_CRC(mt76s_alloc_tx, 0x38a529f2, "_gpl");
SYMBOL_CRC(mt76s_deinit, 0x688debb0, "_gpl");
SYMBOL_CRC(mt76s_init, 0xb57c2558, "_gpl");
SYMBOL_CRC(mt76s_txrx_worker, 0x2c822cb0, "_gpl");
SYMBOL_CRC(mt76s_sdio_irq, 0xcf9f1c27, "_gpl");
SYMBOL_CRC(mt76s_txqs_empty, 0xb8baaa79, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x70bafdaf, "skb_add_rx_frag" },
	{ 0x69acdf38, "memcpy" },
	{ 0x261814aa, "pcpu_hot" },
	{ 0xe66082b, "__put_devmap_managed_page_refs" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xe2964344, "__wake_up" },
	{ 0xa70acf06, "sched_set_fifo_low" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7975513e, "pskb_expand_head" },
	{ 0x5816ef56, "mt76_tx_status_check" },
	{ 0xa682ea8, "wake_up_process" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x251c94a, "sdio_release_irq" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x4d243bc, "__alloc_skb" },
	{ 0x618911fc, "numa_node" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x7a001ead, "sdio_readsb" },
	{ 0xc2c0e1bc, "_dev_err" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x884e400, "__SCK__tp_func_dev_irq" },
	{ 0xe5f3ad43, "sdio_readl" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xc5ae7fca, "kthread_stop" },
	{ 0xedc6c14d, "__alloc_pages" },
	{ 0xa58380, "sdio_writel" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbd1b378f, "mt76_queue_tx_complete" },
	{ 0x4b6551ec, "kthread_create_on_node" },
	{ 0x9f682e5a, "__tracepoint_dev_irq" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x17d9ee87, "mt76_rx_poll_complete" },
	{ 0xe45628cb, "__SCT__tp_func_dev_irq" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x7c6f5a44, "__folio_put" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x1ec57b4f, "__mt76_worker_fn" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x1040e06f, "sdio_claim_irq" },
	{ 0xfd3fa03b, "mt76_skb_adjust_pad" },
	{ 0xc7c11bb1, "sdio_enable_func" },
	{ 0xcbca0de9, "sdio_writesb" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x54e4da91, "sdio_release_host" },
	{ 0xa5cabfa, "sdio_disable_func" },
	{ 0xd8a2f63f, "sdio_set_block_size" },
	{ 0xc01056e6, "devm_kmalloc" },
	{ 0x2c5010a, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x5beba877, "sdio_claim_host" },
	{ 0x8a754a6c, "consume_skb" },
	{ 0xd9f75a53, "module_layout" },
};

MODULE_INFO(depends, "mt76,mmc_core");


MODULE_INFO(srcversion, "476C307E3B779048DE28F75");

MODULE_INFO(suserelease, "ALP-0.1");
