#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(hdac_get_device_id, 0xdd831c23, "_gpl");
SYMBOL_CRC(snd_hda_bus_type, 0x72d8e44f, "_gpl");
SYMBOL_CRC(snd_hdac_bus_init, 0xe188376c, "_gpl");
SYMBOL_CRC(snd_hdac_bus_exit, 0xb97f9fc1, "_gpl");
SYMBOL_CRC(snd_hdac_bus_exec_verb_unlocked, 0x3f9db47d, "_gpl");
SYMBOL_CRC(snd_hdac_codec_link_up, 0x8c790d7d, "_gpl");
SYMBOL_CRC(snd_hdac_codec_link_down, 0xb489f14d, "_gpl");
SYMBOL_CRC(snd_hdac_device_init, 0x69105296, "_gpl");
SYMBOL_CRC(snd_hdac_device_exit, 0xab67c6bd, "_gpl");
SYMBOL_CRC(snd_hdac_device_register, 0xcff8cf6c, "_gpl");
SYMBOL_CRC(snd_hdac_device_unregister, 0x994f1dd1, "_gpl");
SYMBOL_CRC(snd_hdac_device_set_chip_name, 0x45186a61, "_gpl");
SYMBOL_CRC(snd_hdac_codec_modalias, 0x2e8d48f8, "_gpl");
SYMBOL_CRC(snd_hdac_read, 0x9dfe4e6f, "_gpl");
SYMBOL_CRC(_snd_hdac_read_parm, 0x2e5ed686, "_gpl");
SYMBOL_CRC(snd_hdac_read_parm_uncached, 0xc06b160f, "_gpl");
SYMBOL_CRC(snd_hdac_override_parm, 0x4708cef0, "_gpl");
SYMBOL_CRC(snd_hdac_get_sub_nodes, 0x841cde2a, "_gpl");
SYMBOL_CRC(snd_hdac_refresh_widgets, 0x45399903, "_gpl");
SYMBOL_CRC(snd_hdac_get_connections, 0x41b58cb2, "_gpl");
SYMBOL_CRC(snd_hdac_power_up, 0x6184340d, "_gpl");
SYMBOL_CRC(snd_hdac_power_down, 0xddc0d041, "_gpl");
SYMBOL_CRC(snd_hdac_power_up_pm, 0x88114f8b, "_gpl");
SYMBOL_CRC(snd_hdac_power_down_pm, 0xba3288f2, "_gpl");
SYMBOL_CRC(snd_hdac_calc_stream_format, 0x5c07cb49, "_gpl");
SYMBOL_CRC(snd_hdac_query_supported_pcm, 0xcdd448b0, "_gpl");
SYMBOL_CRC(snd_hdac_is_supported_format, 0x93844e55, "_gpl");
SYMBOL_CRC(snd_hdac_codec_read, 0xccc86515, "_gpl");
SYMBOL_CRC(snd_hdac_codec_write, 0xf5d71219, "_gpl");
SYMBOL_CRC(snd_hdac_check_power_state, 0xde3cd1d6, "_gpl");
SYMBOL_CRC(snd_hdac_sync_power_state, 0x0886dcdf, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_init, 0x8529b367, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_exit, 0x6e22883e, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_add_vendor_verb, 0x3f5a6753, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_write_raw, 0xf9672012, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_read_raw, 0xfd02b5e3, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_update_raw, 0x66efd458, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_update_raw_once, 0x6567f100, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_sync, 0x9aec207d, "_gpl");
SYMBOL_CRC(snd_hdac_bus_init_cmd_io, 0x2ea823de, "_gpl");
SYMBOL_CRC(snd_hdac_bus_stop_cmd_io, 0x2e7748f6, "_gpl");
SYMBOL_CRC(snd_hdac_bus_send_cmd, 0x6dd6b3bd, "_gpl");
SYMBOL_CRC(snd_hdac_bus_update_rirb, 0xec2d25a3, "_gpl");
SYMBOL_CRC(snd_hdac_bus_get_response, 0x2541a98d, "_gpl");
SYMBOL_CRC(snd_hdac_bus_parse_capabilities, 0xffd61763, "_gpl");
SYMBOL_CRC(snd_hdac_bus_enter_link_reset, 0xb556b57e, "_gpl");
SYMBOL_CRC(snd_hdac_bus_exit_link_reset, 0xf8f0532e, "_gpl");
SYMBOL_CRC(snd_hdac_bus_reset_link, 0x5114ff2f, "_gpl");
SYMBOL_CRC(snd_hdac_bus_init_chip, 0x70d44d32, "_gpl");
SYMBOL_CRC(snd_hdac_bus_stop_chip, 0x5f0426a8, "_gpl");
SYMBOL_CRC(snd_hdac_bus_handle_stream_irq, 0x490b9bba, "_gpl");
SYMBOL_CRC(snd_hdac_bus_alloc_stream_pages, 0x9ae5834e, "_gpl");
SYMBOL_CRC(snd_hdac_bus_free_stream_pages, 0xc6a71786, "_gpl");
SYMBOL_CRC(snd_hdac_bus_link_power, 0xc84fe755, "_gpl");
SYMBOL_CRC(snd_hdac_get_stream_stripe_ctl, 0x252188b0, "_gpl");
SYMBOL_CRC(snd_hdac_stream_init, 0x802e111a, "_gpl");
SYMBOL_CRC(snd_hdac_stream_start, 0x2fbd04c3, "_gpl");
SYMBOL_CRC(snd_hdac_stream_stop, 0x08baf107, "_gpl");
SYMBOL_CRC(snd_hdac_stop_streams, 0x4ca7accd, "_gpl");
SYMBOL_CRC(snd_hdac_stop_streams_and_chip, 0x7602c43e, "_gpl");
SYMBOL_CRC(snd_hdac_stream_reset, 0xa07c1824, "_gpl");
SYMBOL_CRC(snd_hdac_stream_setup, 0xfb487cc8, "_gpl");
SYMBOL_CRC(snd_hdac_stream_cleanup, 0x34765900, "_gpl");
SYMBOL_CRC(snd_hdac_stream_assign, 0x07cf2519, "_gpl");
SYMBOL_CRC(snd_hdac_stream_release_locked, 0x4468431b, "_gpl");
SYMBOL_CRC(snd_hdac_stream_release, 0x11980b15, "_gpl");
SYMBOL_CRC(snd_hdac_get_stream, 0xc02b723c, "_gpl");
SYMBOL_CRC(snd_hdac_stream_setup_periods, 0x1a45cc4e, "_gpl");
SYMBOL_CRC(snd_hdac_stream_set_params, 0x14166e16, "_gpl");
SYMBOL_CRC(snd_hdac_stream_timecounter_init, 0x24ee9c14, "_gpl");
SYMBOL_CRC(snd_hdac_stream_sync_trigger, 0xf57a760d, "_gpl");
SYMBOL_CRC(snd_hdac_stream_sync, 0x875da823, "_gpl");
SYMBOL_CRC(snd_hdac_stream_spbcap_enable, 0x4cb581cd, "_gpl");
SYMBOL_CRC(snd_hdac_stream_set_spib, 0xfe60de5d, "_gpl");
SYMBOL_CRC(snd_hdac_stream_get_spbmaxfifo, 0xb85e319b, "_gpl");
SYMBOL_CRC(snd_hdac_stream_drsm_enable, 0x08d216b7, "_gpl");
SYMBOL_CRC(snd_hdac_stream_wait_drsm, 0xf919d7ba, "_gpl");
SYMBOL_CRC(snd_hdac_stream_set_dpibr, 0xb8198332, "_gpl");
SYMBOL_CRC(snd_hdac_stream_set_lpib, 0x7fdfab37, "_gpl");
SYMBOL_CRC(snd_hdac_dsp_prepare, 0x6c23c214, "_gpl");
SYMBOL_CRC(snd_hdac_dsp_trigger, 0xacbd7bd2, "_gpl");
SYMBOL_CRC(snd_hdac_dsp_cleanup, 0xfb7ddd21, "_gpl");
SYMBOL_CRC(snd_array_new, 0xbe7dd7dc, "_gpl");
SYMBOL_CRC(snd_array_free, 0x9a8e1877, "_gpl");
SYMBOL_CRC(snd_hdac_print_channel_allocation, 0xe4e07754, "_gpl");
SYMBOL_CRC(snd_hdac_chmap_to_spk_mask, 0x77c754a8, "_gpl");
SYMBOL_CRC(snd_hdac_spk_to_chmap, 0x67bfe791, "_gpl");
SYMBOL_CRC(snd_hdac_setup_channel_mapping, 0x9e5c35b4, "_gpl");
SYMBOL_CRC(snd_hdac_get_active_channels, 0x3bd544c2, "_gpl");
SYMBOL_CRC(snd_hdac_get_ch_alloc_from_ca, 0x4c7ec4b6, "_gpl");
SYMBOL_CRC(snd_hdac_channel_allocation, 0x3a7fdfcf, "_gpl");
SYMBOL_CRC(snd_hdac_register_chmap_ops, 0xe1e87d40, "_gpl");
SYMBOL_CRC(snd_hdac_add_chmap_ctls, 0xcd861e30, "_gpl");
SYMBOL_CRC(snd_hdac_set_codec_wakeup, 0x26e9fed2, "_gpl");
SYMBOL_CRC(snd_hdac_display_power, 0x19030abf, "_gpl");
SYMBOL_CRC(snd_hdac_sync_audio_rate, 0x4063881c, "_gpl");
SYMBOL_CRC(snd_hdac_acomp_get_eld, 0x022d5df8, "_gpl");
SYMBOL_CRC(snd_hdac_acomp_register_notifier, 0x44bb0aa6, "_gpl");
SYMBOL_CRC(snd_hdac_acomp_init, 0x504df685, "_gpl");
SYMBOL_CRC(snd_hdac_acomp_exit, 0x8298120d, "_gpl");
SYMBOL_CRC(snd_hdac_i915_set_bclk, 0x831fb1c8, "_gpl");
SYMBOL_CRC(snd_hdac_i915_init, 0xcbb96451, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdd929da9, "devres_add" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x702eb12c, "trace_event_buffer_commit" },
	{ 0x6d33dc1a, "snd_dma_free_pages" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf84049e6, "__pm_runtime_set_status" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x633d51b, "put_device" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x61a93abb, "_dev_info" },
	{ 0xd133af02, "module_put" },
	{ 0x3cedb07d, "component_match_add_typed" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xac69c529, "perf_trace_run_bpf_submit" },
	{ 0x479f5403, "bus_unregister" },
	{ 0xc2c0e1bc, "_dev_err" },
	{ 0x7e63190b, "kobject_add" },
	{ 0x68bd1f3, "device_add" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xcb295255, "__devres_alloc_node" },
	{ 0xe4a2e584, "trace_event_reg" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x521a6bfd, "sysfs_create_group" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x77adde37, "__regmap_init" },
	{ 0x7bc7739a, "device_del" },
	{ 0xfb578fc5, "memset" },
	{ 0xc067a90c, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x75e4770f, "kobject_create_and_add" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x5738f80f, "sysfs_remove_group" },
	{ 0xc11c3d5d, "bpf_trace_run3" },
	{ 0x3c5a01f8, "component_master_del" },
	{ 0xf8449587, "regmap_read" },
	{ 0x7c2367f, "trace_event_buffer_reserve" },
	{ 0x7c9ee6d7, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x726bc3c7, "wait_for_completion_killable_timeout" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xfa792699, "component_bind_all" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6a553d30, "kobject_uevent" },
	{ 0x62bb09bf, "clocks_calc_mult_shift" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x60deef5d, "pci_match_id" },
	{ 0x1fe1a200, "devres_find" },
	{ 0x9014d456, "regmap_update_bits_base" },
	{ 0x837c54d4, "kmalloc_trace" },
	{ 0x7c7cfb7a, "__pm_runtime_suspend" },
	{ 0xfc00c610, "regmap_exit" },
	{ 0x754d539c, "strlen" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xa48b3422, "component_unbind_all" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0x862258db, "timecounter_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xacb6cbb4, "pci_bus_type" },
	{ 0x17bcf262, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x5180915, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xe371d84a, "kobject_put" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe914e41e, "strcpy" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xe07d488f, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xa9930c76, "regcache_sync" },
	{ 0x8da5bad0, "regmap_write" },
	{ 0x2b3fd828, "snd_dma_alloc_dir_pages" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x4d73b678, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6601c97a, "component_master_add_with_match" },
	{ 0x7b2d2493, "trace_raw_output_prep" },
	{ 0x68af88dd, "snd_pcm_add_chmap_ctls" },
	{ 0x9e0f3e65, "pci_dev_put" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x9da1152f, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xd4a2b7c4, "pci_get_device" },
	{ 0x4e7282ae, "trace_event_printf" },
	{ 0x1d3d6b08, "devres_destroy" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xe0d93cad, "pm_runtime_get_if_active" },
	{ 0x105f91c3, "kobject_init" },
	{ 0xa2dd9ac, "device_initialize" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x1a0599da, "trace_event_raw_init" },
	{ 0x37a0cba, "kfree" },
	{ 0xfbed4a4c, "regcache_reg_cached" },
	{ 0x261814aa, "pcpu_hot" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8d620d35, "bpf_trace_run2" },
	{ 0xe2964344, "__wake_up" },
	{ 0x7de38686, "snd_sgbuf_get_addr" },
	{ 0xeb6d1e6, "__dynamic_dev_dbg" },
	{ 0xd3972c88, "snd_sgbuf_get_chunk_size" },
	{ 0xd9f75a53, "module_layout" },
};

MODULE_INFO(depends, "snd-pcm");


MODULE_INFO(srcversion, "FC2DD5974E7B474BC8FFADA");

MODULE_INFO(suserelease, "ALP-0.1");
