#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x28486b50, "query_amp_caps" },
	{ 0x59ecd763, "snd_hda_mixer_amp_volume_info" },
	{ 0x97bff003, "snd_hda_jack_detect_state_mst" },
	{ 0xfb211134, "snd_hda_gen_spec_init" },
	{ 0xddc0d041, "snd_hdac_power_down" },
	{ 0xb9676b5e, "snd_hda_mixer_amp_switch_info" },
	{ 0x5c774c68, "hda_codec_driver_unregister" },
	{ 0x77a36fd7, "snd_hda_apply_pincfgs" },
	{ 0xc7df3597, "snd_hda_codec_get_pincfg" },
	{ 0xf5d71219, "snd_hdac_codec_write" },
	{ 0xa4f7c6d0, "snd_hda_mixer_amp_switch_get_beep" },
	{ 0x365fa8f, "snd_hda_jack_tbl_get_mst" },
	{ 0x245abbe8, "snd_hda_gen_add_kctl" },
	{ 0xe6e07a91, "snd_hda_enable_beep_device" },
	{ 0xeb6d1e6, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab2edf0, "snd_hda_mixer_amp_switch_put_beep" },
	{ 0x8722b600, "snd_hda_add_imux_item" },
	{ 0x2e5ed686, "_snd_hdac_read_parm" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x5a968196, "snd_hda_get_bool_hint" },
	{ 0x32961885, "snd_hda_get_int_hint" },
	{ 0x6df48bf5, "snd_ctl_boolean_mono_info" },
	{ 0x72525689, "snd_hda_override_amp_caps" },
	{ 0x4f9df64b, "__hda_codec_driver_register" },
	{ 0xfed0e604, "snd_hda_parse_pin_defcfg" },
	{ 0xa49f9d8d, "snd_hda_gen_init" },
	{ 0xde50d9de, "is_jack_detectable" },
	{ 0x28877164, "snd_hda_gen_path_power_filter" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x9eb7fe8, "snd_hda_gen_add_micmute_led_cdev" },
	{ 0x3f5a6753, "snd_hdac_regmap_add_vendor_verb" },
	{ 0xe30c9a5f, "snd_hda_mixer_amp_switch_get" },
	{ 0x6add5c9a, "dmi_find_device" },
	{ 0xf0c398f7, "snd_hda_gen_fix_pin_power" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x5c7906f, "_snd_hda_set_pin_ctl" },
	{ 0xf9672012, "snd_hdac_regmap_write_raw" },
	{ 0x3872662, "snd_hda_mixer_amp_volume_get" },
	{ 0x6384c046, "snd_hda_jack_detect_enable_callback_mst" },
	{ 0xc067a90c, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x44676622, "snd_hda_gen_update_outputs" },
	{ 0xdd738aba, "snd_hda_mixer_amp_switch_put" },
	{ 0x2c169ff8, "snd_hda_codec_set_pincfg" },
	{ 0x16426014, "snd_hda_jack_unsol_event" },
	{ 0x676f5ac, "snd_hda_get_input_pin_attr" },
	{ 0x5eef570f, "snd_hda_gen_build_pcms" },
	{ 0x3a77f115, "snd_hda_mixer_amp_tlv" },
	{ 0x40985489, "seq_printf" },
	{ 0x68f52fdb, "snd_hda_input_mux_put" },
	{ 0xac18f592, "snd_hda_pick_fixup" },
	{ 0x89be5f82, "snd_hda_apply_fixup" },
	{ 0x40fba4d, "snd_hda_add_verbs" },
	{ 0xcfb9a4a0, "snd_hda_gen_parse_auto_config" },
	{ 0x837c54d4, "kmalloc_trace" },
	{ 0xccc86515, "snd_hdac_codec_read" },
	{ 0xa3b22184, "snd_hda_codec_eapd_power_filter" },
	{ 0x3df83687, "snd_hda_mixer_amp_volume_put" },
	{ 0xf8dc35ac, "snd_hda_input_mux_info" },
	{ 0x4cb4c7af, "snd_hda_gen_free" },
	{ 0xf88ea5b7, "snd_hda_gen_add_mute_led_cdev" },
	{ 0xf9a482f9, "msleep" },
	{ 0x17bcf262, "kmalloc_caches" },
	{ 0x6184340d, "snd_hdac_power_up" },
	{ 0xc29e3a86, "snd_hda_shutup_pins" },
	{ 0x41a4e58d, "snd_hda_get_connections" },
	{ 0xa4129248, "snd_hda_gen_build_controls" },
	{ 0xe9c620b5, "snd_hda_codec_amp_init_stereo" },
	{ 0xd9f75a53, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-codec,snd-hda-codec-generic,snd-hda-core,snd");

MODULE_ALIAS("hdaudio:v83847690r*a01*");
MODULE_ALIAS("hdaudio:v83847882r*a01*");
MODULE_ALIAS("hdaudio:v83847680r*a01*");
MODULE_ALIAS("hdaudio:v83847880r*a01*");
MODULE_ALIAS("hdaudio:v83847681r*a01*");
MODULE_ALIAS("hdaudio:v83847682r*a01*");
MODULE_ALIAS("hdaudio:v83847683r*a01*");
MODULE_ALIAS("hdaudio:v83847618r*a01*");
MODULE_ALIAS("hdaudio:v83847619r*a01*");
MODULE_ALIAS("hdaudio:v83847638r*a01*");
MODULE_ALIAS("hdaudio:v83847616r*a01*");
MODULE_ALIAS("hdaudio:v83847617r*a01*");
MODULE_ALIAS("hdaudio:v83847614r*a01*");
MODULE_ALIAS("hdaudio:v83847615r*a01*");
MODULE_ALIAS("hdaudio:v83847620r*a01*");
MODULE_ALIAS("hdaudio:v83847621r*a01*");
MODULE_ALIAS("hdaudio:v83847622r*a01*");
MODULE_ALIAS("hdaudio:v83847623r*a01*");
MODULE_ALIAS("hdaudio:v83847624r*a01*");
MODULE_ALIAS("hdaudio:v83847625r*a01*");
MODULE_ALIAS("hdaudio:v83847626r*a01*");
MODULE_ALIAS("hdaudio:v83847627r*a01*");
MODULE_ALIAS("hdaudio:v83847628r*a01*");
MODULE_ALIAS("hdaudio:v83847629r*a01*");
MODULE_ALIAS("hdaudio:v83847632r*a01*");
MODULE_ALIAS("hdaudio:v83847633r*a01*");
MODULE_ALIAS("hdaudio:v83847634r*a01*");
MODULE_ALIAS("hdaudio:v83847635r*a01*");
MODULE_ALIAS("hdaudio:v83847636r*a01*");
MODULE_ALIAS("hdaudio:v83847637r*a01*");
MODULE_ALIAS("hdaudio:v83847645r*a01*");
MODULE_ALIAS("hdaudio:v83847646r*a01*");
MODULE_ALIAS("hdaudio:v83847661r*a01*");
MODULE_ALIAS("hdaudio:v83847662r*a01*");
MODULE_ALIAS("hdaudio:v83847664r*a01*");
MODULE_ALIAS("hdaudio:v83847698r*a01*");
MODULE_ALIAS("hdaudio:v838476A0r*a01*");
MODULE_ALIAS("hdaudio:v838476A1r*a01*");
MODULE_ALIAS("hdaudio:v838476A2r*a01*");
MODULE_ALIAS("hdaudio:v838476A3r*a01*");
MODULE_ALIAS("hdaudio:v838476A4r*a01*");
MODULE_ALIAS("hdaudio:v838476A5r*a01*");
MODULE_ALIAS("hdaudio:v838476A6r*a01*");
MODULE_ALIAS("hdaudio:v838476A7r*a01*");
MODULE_ALIAS("hdaudio:v111D7603r*a01*");
MODULE_ALIAS("hdaudio:v111D7604r*a01*");
MODULE_ALIAS("hdaudio:v111D76D4r*a01*");
MODULE_ALIAS("hdaudio:v111D7605r*a01*");
MODULE_ALIAS("hdaudio:v111D76D5r*a01*");
MODULE_ALIAS("hdaudio:v111D76D1r*a01*");
MODULE_ALIAS("hdaudio:v111D76D9r*a01*");
MODULE_ALIAS("hdaudio:v111D7666r*a01*");
MODULE_ALIAS("hdaudio:v111D7667r*a01*");
MODULE_ALIAS("hdaudio:v111D7668r*a01*");
MODULE_ALIAS("hdaudio:v111D7669r*a01*");
MODULE_ALIAS("hdaudio:v111D7608r*a01*");
MODULE_ALIAS("hdaudio:v111D7674r*a01*");
MODULE_ALIAS("hdaudio:v111D7675r*a01*");
MODULE_ALIAS("hdaudio:v111D7676r*a01*");
MODULE_ALIAS("hdaudio:v111D7695r*a01*");
MODULE_ALIAS("hdaudio:v111D76B0r*a01*");
MODULE_ALIAS("hdaudio:v111D76B1r*a01*");
MODULE_ALIAS("hdaudio:v111D76B2r*a01*");
MODULE_ALIAS("hdaudio:v111D76B3r*a01*");
MODULE_ALIAS("hdaudio:v111D76B4r*a01*");
MODULE_ALIAS("hdaudio:v111D76B5r*a01*");
MODULE_ALIAS("hdaudio:v111D76B6r*a01*");
MODULE_ALIAS("hdaudio:v111D76B7r*a01*");
MODULE_ALIAS("hdaudio:v111D76C0r*a01*");
MODULE_ALIAS("hdaudio:v111D76C1r*a01*");
MODULE_ALIAS("hdaudio:v111D76C2r*a01*");
MODULE_ALIAS("hdaudio:v111D76C3r*a01*");
MODULE_ALIAS("hdaudio:v111D76C4r*a01*");
MODULE_ALIAS("hdaudio:v111D76C5r*a01*");
MODULE_ALIAS("hdaudio:v111D76C6r*a01*");
MODULE_ALIAS("hdaudio:v111D76C7r*a01*");
MODULE_ALIAS("hdaudio:v111D76C8r*a01*");
MODULE_ALIAS("hdaudio:v111D76C9r*a01*");
MODULE_ALIAS("hdaudio:v111D76CAr*a01*");
MODULE_ALIAS("hdaudio:v111D76CBr*a01*");
MODULE_ALIAS("hdaudio:v111D76CCr*a01*");
MODULE_ALIAS("hdaudio:v111D76CDr*a01*");
MODULE_ALIAS("hdaudio:v111D76CEr*a01*");
MODULE_ALIAS("hdaudio:v111D76DFr*a01*");
MODULE_ALIAS("hdaudio:v111D76E0r*a01*");
MODULE_ALIAS("hdaudio:v111D76E3r*a01*");
MODULE_ALIAS("hdaudio:v111D76E5r*a01*");
MODULE_ALIAS("hdaudio:v111D76E7r*a01*");
MODULE_ALIAS("hdaudio:v111D76E8r*a01*");
MODULE_ALIAS("hdaudio:v111D76E9r*a01*");
MODULE_ALIAS("hdaudio:v111D76EAr*a01*");
MODULE_ALIAS("hdaudio:v111D76EBr*a01*");
MODULE_ALIAS("hdaudio:v111D76ECr*a01*");
MODULE_ALIAS("hdaudio:v111D76EDr*a01*");
MODULE_ALIAS("hdaudio:v111D76EEr*a01*");
MODULE_ALIAS("hdaudio:v111D76EFr*a01*");
MODULE_ALIAS("hdaudio:v111D76F0r*a01*");
MODULE_ALIAS("hdaudio:v111D76F1r*a01*");
MODULE_ALIAS("hdaudio:v111D76F2r*a01*");
MODULE_ALIAS("hdaudio:v111D76F3r*a01*");

MODULE_INFO(srcversion, "C0D5BCF952AD59FC55782BA");

MODULE_INFO(suserelease, "ALP-0.1");
