#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(idxd_wq_alloc_resources, 0xb80a0d52, "_gpl");
SYMBOL_CRC(idxd_wq_free_resources, 0x60d01dfb, "_gpl");
SYMBOL_CRC(idxd_wq_init_percpu_ref, 0x84352c14, "_gpl");
SYMBOL_CRC(__idxd_wq_quiesce, 0x550c55ec, "_gpl");
SYMBOL_CRC(idxd_wq_quiesce, 0xdb256655, "_gpl");
SYMBOL_CRC(idxd_drv_enable_wq, 0x77bb3cd4, "_gpl");
SYMBOL_CRC(idxd_drv_disable_wq, 0xdfaf43b9, "_gpl");
SYMBOL_CRC(idxd_drv, 0x2332027e, "_gpl");
SYMBOL_CRC(idxd_alloc_desc, 0x249230b8, "_gpl");
SYMBOL_CRC(idxd_free_desc, 0xb178fe81, "_gpl");
SYMBOL_CRC(idxd_submit_desc, 0x095ede12, "_gpl");
SYMBOL_CRC(idxd_dmaengine_drv, 0xf0e8f04c, "_gpl");
SYMBOL_CRC(idxd_user_drv, 0xa3dfce9d, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x171770cd, "dma_async_device_channel_unregister" },
	{ 0x111a8e94, "iommu_sva_unbind_device" },
	{ 0x373766a, "sbitmap_queue_clear" },
	{ 0xffb7c514, "ida_free" },
	{ 0x4fa2d8f9, "__cpuhp_state_add_instance" },
	{ 0x91f7f131, "iommu_alloc_global_pasid" },
	{ 0xf70ec739, "perf_pmu_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x8f867266, "pci_iounmap" },
	{ 0x7bc7739a, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x3cac8548, "iommu_sva_get_pasid" },
	{ 0xfb578fc5, "memset" },
	{ 0xc067a90c, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x1a07eb46, "pci_set_master" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xb9cd21a7, "dmaengine_unmap_put" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd65fc51b, "dma_async_device_register" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xe04a689, "iommu_attach_device_pasid" },
	{ 0xa0ebc08, "__xa_cmpxchg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x46fc89d4, "dma_set_coherent_mask" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0xdd969597, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdd64e639, "strscpy" },
	{ 0xd4bf1a24, "debugfs_create_file" },
	{ 0xa5eea68, "dma_free_attrs" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x4d24a1e4, "sbitmap_finish_wait" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9298bd96, "dma_async_device_channel_register" },
	{ 0x5457e898, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x9ae8a87f, "dma_async_tx_descriptor_init" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x40985489, "seq_printf" },
	{ 0xb97220ff, "bitmap_parse" },
	{ 0x56d815cd, "pci_disable_device" },
	{ 0x10630164, "boot_cpu_data" },
	{ 0x1b034c14, "seq_puts" },
	{ 0xb0feed3, "single_release" },
	{ 0x572abcca, "dma_set_mask" },
	{ 0xb216c3be, "kthread_unuse_mm" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x837c54d4, "kmalloc_trace" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x46cf10eb, "cachemode2protval" },
	{ 0xf2d06dca, "device_release_driver" },
	{ 0x754d539c, "strlen" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x8bfc9a25, "single_open" },
	{ 0x164f46b7, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x935346fe, "__sbitmap_queue_get" },
	{ 0x5f493e21, "pci_free_irq_vectors" },
	{ 0x657afced, "idxd_driver_unregister" },
	{ 0x8079e43f, "__cpuhp_remove_state" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xfa13f45f, "iommu_free_global_pasid" },
	{ 0x7b68a427, "cdev_init" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x17bcf262, "kmalloc_caches" },
	{ 0x5180915, "bus_register" },
	{ 0x8c48db4, "kmem_cache_destroy" },
	{ 0xe914e41e, "strcpy" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xa78af5f3, "ioread32" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x17737638, "pci_msix_vec_count" },
	{ 0xdb8b3690, "pci_enable_device" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4a453f53, "iowrite32" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x77bc13a0, "strim" },
	{ 0x4d73b678, "dev_set_name" },
	{ 0xb36276dc, "pci_iomap" },
	{ 0xb0e602eb, "memmove" },
	{ 0xfb7c6ce6, "dma_async_device_unregister" },
	{ 0x252cf133, "pci_alloc_irq_vectors" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x81a7f541, "percpu_ref_init" },
	{ 0x76e446ad, "devm_iounmap" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x1ba59527, "__kmalloc_node" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xf0a26648, "cdev_device_del" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xd21c5139, "iowrite64_lo_hi" },
	{ 0x77d6628d, "device_unregister" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xf474c21c, "bitmap_print_to_pagebuf" },
	{ 0xf2fd4532, "__pci_register_driver" },
	{ 0xbe903afa, "devm_ioremap" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xa2dd9ac, "device_initialize" },
	{ 0xa08a4bad, "dsa_bus_type" },
	{ 0x4a5699cf, "iommu_dev_disable_feature" },
	{ 0x740c0149, "remap_pfn_range" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x261814aa, "pcpu_hot" },
	{ 0xdc164e7b, "seq_lseek" },
	{ 0x14463d60, "iommu_sva_bind_device" },
	{ 0x15289c72, "iommu_detach_device_pasid" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0xde19fafd, "pci_irq_vector" },
	{ 0x25b9a8e4, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xeb6d1e6, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x1ed4d2eb, "percpu_ref_kill_and_confirm" },
	{ 0x716265c7, "debugfs_initialized" },
	{ 0x32066026, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x86368533, "kthread_use_mm" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x85142df4, "sbitmap_queue_init_node" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x84a0ca4d, "bitmap_zalloc_node" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd5a027f2, "__cpuhp_state_remove_instance" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x395b8b90, "sbitmap_prepare_to_wait" },
	{ 0x793fc6c1, "cdev_device_add" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x633d51b, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xd7293ffc, "percpu_ref_reinit" },
	{ 0x37f85cb1, "kmalloc_node_trace" },
	{ 0x9848a6, "iommu_dev_enable_feature" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xcaf27597, "kmem_cache_alloc" },
	{ 0x61a93abb, "_dev_info" },
	{ 0xc6cbbc89, "capable" },
	{ 0x683ceea8, "__idxd_driver_register" },
	{ 0x9e3444f9, "iommu_get_domain_for_dev" },
	{ 0x56f6298a, "perf_pmu_migrate_context" },
	{ 0x517035a3, "perf_pmu_register" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x37bf7be3, "percpu_ref_exit" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x98378a1d, "cc_mkdec" },
	{ 0x479f5403, "bus_unregister" },
	{ 0x57bc19d2, "down_write" },
	{ 0xc2c0e1bc, "_dev_err" },
	{ 0xce807a25, "up_write" },
	{ 0xf9a162df, "__cpuhp_setup_state" },
	{ 0x68bd1f3, "device_add" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x683b98d7, "kmem_cache_create_usercopy" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0xfe052363, "ioread64_lo_hi" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xc3aaf0a9, "__put_user_1" },
	{ 0xd76b2cb0, "kmem_cache_free" },
	{ 0x3d344615, "dma_alloc_attrs" },
	{ 0x68ff5714, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xd9f75a53, "module_layout" },
};

MODULE_INFO(depends, "idxd_bus");

MODULE_ALIAS("pci:v00008086d00000B25sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000CFEsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "B0020366A2689A00CE4962C");

MODULE_INFO(suserelease, "ALP-0.1");
