#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(p54_parse_eeprom, 0xea5a3eff, "_gpl");
SYMBOL_CRC(p54_read_eeprom, 0x01b1ce19, "_gpl");
SYMBOL_CRC(p54_parse_firmware, 0x084126d0, "_gpl");
SYMBOL_CRC(p54_free_skb, 0xb481b938, "_gpl");
SYMBOL_CRC(p54_rx, 0x3ee3255c, "_gpl");
SYMBOL_CRC(p54_init_common, 0xaa3cdce0, "_gpl");
SYMBOL_CRC(p54_register_common, 0x6bab5ccf, "_gpl");
SYMBOL_CRC(p54_free_common, 0x37c1769c, "_gpl");
SYMBOL_CRC(p54_unregister_common, 0xf059615d, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1a8f3873, "ieee80211_wake_queue" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xfcda09e5, "__ieee80211_get_tx_led_name" },
	{ 0x4d6f9e5e, "skb_queue_purge_reason" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x52bcdd15, "ieee80211_handle_wake_tx_queue" },
	{ 0x574c2e74, "bitmap_release_region" },
	{ 0x92997ed8, "_printk" },
	{ 0x20856a12, "ieee80211_tx_status_irqsafe" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xa916b694, "strnlen" },
	{ 0x791ca265, "__ieee80211_get_rx_led_name" },
	{ 0x61a93abb, "_dev_info" },
	{ 0x4dafd830, "skb_queue_tail" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x79052e8d, "ieee80211_queue_delayed_work" },
	{ 0xc2c0e1bc, "_dev_err" },
	{ 0xb7c0f443, "sort" },
	{ 0xb5bac139, "skb_pull" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x2e29f29e, "skb_push" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x5b4d80d3, "ieee80211_free_txskb" },
	{ 0x6d21eaba, "led_classdev_register_ext" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x5537ab56, "ieee80211_alloc_hw_nm" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xc067a90c, "_dev_warn" },
	{ 0xc5f3fb2e, "ieee80211_emulate_add_chanctx" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbf17415d, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0xe38b0b7f, "ieee80211_stop_queue" },
	{ 0xb5a1cfd4, "__netdev_alloc_skb" },
	{ 0xbd782e6c, "skb_trim" },
	{ 0xc48dba9, "skb_unlink" },
	{ 0x15403aeb, "wiphy_rfkill_set_hw_state_reason" },
	{ 0x8276cfe6, "__ieee80211_get_assoc_led_name" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x63a7c28c, "bitmap_find_free_region" },
	{ 0x5457e898, "param_ops_bool" },
	{ 0x6f170e2a, "ieee80211_unregister_hw" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0fdcc88, "ieee80211_beacon_get_tim" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x837c54d4, "kmalloc_trace" },
	{ 0x43866d04, "dev_kfree_skb_any_reason" },
	{ 0xbd286448, "_dev_printk" },
	{ 0x99cf831, "ieee80211_emulate_remove_chanctx" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x17bcf262, "kmalloc_caches" },
	{ 0x33ae01e4, "ieee80211_rx_irqsafe" },
	{ 0xadc8c5ac, "skb_queue_head" },
	{ 0x2c5010a, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x8a754a6c, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x8d305903, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x59e2cbae, "ieee80211_free_hw" },
	{ 0x69acdf38, "memcpy" },
	{ 0x34e0106f, "ieee80211_beacon_loss" },
	{ 0x7920ba45, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0x6716377a, "led_classdev_unregister" },
	{ 0x47e9c453, "ieee80211_register_hw" },
	{ 0xa3d4236a, "ieee80211_emulate_change_chanctx" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x6f1a9ac5, "ieee80211_get_hdrlen_from_skb" },
	{ 0x5b0c9580, "__ieee80211_get_radio_led_name" },
	{ 0x52ecbc75, "crc_ccitt" },
	{ 0xd9f75a53, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211");


MODULE_INFO(srcversion, "A9EBCF5A63A6F619859E364");

MODULE_INFO(suserelease, "ALP-0.1");
