#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x66348b94, "kernel_getpeername" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x5a6a867, "iscsi_put_conn" },
	{ 0xeab9cbd5, "iscsi_conn_get_addr_param" },
	{ 0xfc7edb99, "iscsi_conn_get_param" },
	{ 0x358a7b18, "kernel_getsockname" },
	{ 0x50bd8813, "iscsi_set_param" },
	{ 0xd7d4e70f, "iscsi_tcp_set_max_r2t" },
	{ 0xb21ff088, "sockfd_lookup" },
	{ 0x24bc40ac, "fput" },
	{ 0xf5585738, "iscsi_conn_bind" },
	{ 0x42106caf, "sk_set_memalloc" },
	{ 0x95c1a7c2, "sock_no_linger" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0xe39d0761, "iscsi_tcp_hdr_recv_prep" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xc8dcb36, "iscsi_conn_queue_xmit" },
	{ 0xddc16655, "iscsi_tcp_recv_skb" },
	{ 0x771ace90, "scsi_is_host_device" },
	{ 0xf0c9207e, "iscsi_session_remove" },
	{ 0xbd1899cf, "iscsi_host_remove" },
	{ 0x88912a5e, "iscsi_tcp_r2tpool_free" },
	{ 0x226a74c, "iscsi_session_free" },
	{ 0x13033968, "iscsi_host_free" },
	{ 0x3bd97213, "iscsi_host_alloc" },
	{ 0xe899f608, "iscsi_host_get_max_scsi_cmds" },
	{ 0x65f66aa8, "iscsi_host_add" },
	{ 0xb9703bda, "iscsi_session_setup" },
	{ 0x61d57368, "iscsi_tcp_r2tpool_alloc" },
	{ 0xfd0dbe19, "iscsi_session_teardown" },
	{ 0xb05097d1, "blk_queue_dma_alignment" },
	{ 0xb0c1b137, "blk_queue_flag_set" },
	{ 0x84fdb15d, "iscsi_unregister_transport" },
	{ 0xfb7ff6ba, "iscsi_host_get_param" },
	{ 0x6b89f75d, "kernel_sock_shutdown" },
	{ 0xd404a2cc, "iscsi_suspend_rx" },
	{ 0x3231423, "sk_free" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x686ea42f, "crypto_destroy_tfm" },
	{ 0x9970b96d, "iscsi_tcp_conn_teardown" },
	{ 0xe2964344, "__wake_up" },
	{ 0x7ae78d49, "iscsi_suspend_tx" },
	{ 0xb1b1bcee, "iscsi_conn_stop" },
	{ 0x675e068e, "__tracepoint_iscsi_dbg_sw_tcp" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xdf515c49, "__SCT__tp_func_iscsi_dbg_sw_tcp" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xe802a5eb, "__tracepoint_sk_data_ready" },
	{ 0x119b27e1, "tcp_read_sock" },
	{ 0xd125367c, "iscsi_conn_queue_recv" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0x381d16d8, "lock_sock_nested" },
	{ 0x669fbb25, "release_sock" },
	{ 0xa5ea9a34, "iscsi_tcp_conn_setup" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x3f4e88e7, "crypto_alloc_ahash" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x864aeae7, "param_ops_int" },
	{ 0x5457e898, "param_ops_bool" },
	{ 0x20250eb8, "param_ops_uint" },
	{ 0x2bee4e10, "iscsi_conn_start" },
	{ 0xaeded76f, "iscsi_session_get_param" },
	{ 0x946e73f6, "iscsi_host_set_param" },
	{ 0x52fff4e9, "iscsi_conn_send_pdu" },
	{ 0x8afae42f, "iscsi_tcp_task_init" },
	{ 0xd5ff9e0f, "iscsi_tcp_task_xmit" },
	{ 0xc856ae8a, "iscsi_tcp_cleanup_task" },
	{ 0xe47aa5c0, "iscsi_session_recovery_timedout" },
	{ 0x763f808e, "iscsi_queuecommand" },
	{ 0x8e9995a, "iscsi_eh_abort" },
	{ 0xe73f529a, "iscsi_eh_device_reset" },
	{ 0x528d2ed, "iscsi_eh_recover_target" },
	{ 0x4f7c461d, "scsi_change_queue_depth" },
	{ 0x52fc8026, "iscsi_eh_cmd_timed_out" },
	{ 0x7ad758f3, "__SCK__tp_func_sk_data_ready" },
	{ 0xd3e15fbb, "__SCK__tp_func_iscsi_dbg_sw_tcp" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x92997ed8, "_printk" },
	{ 0x74325e7d, "iscsi_register_transport" },
	{ 0x15783aa0, "iscsi_dbg_trace" },
	{ 0xbd286448, "_dev_printk" },
	{ 0xc0f1cd71, "iscsi_segment_init_linear" },
	{ 0x1867e17e, "iscsi_segment_seek_sg" },
	{ 0x95624bac, "iscsi_tcp_dgst_header" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x741b12ed, "iov_iter_bvec" },
	{ 0xdcde5806, "sock_sendmsg" },
	{ 0xb77e828c, "iscsi_tcp_segment_done" },
	{ 0x6b8dcb1a, "iscsi_tcp_segment_unmap" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x261814aa, "pcpu_hot" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1f4387c7, "iscsi_conn_failure" },
	{ 0x30a702e3, "iscsi_tcp_conn_get_stats" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x836a6a03, "iscsi_get_conn" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xd9f75a53, "module_layout" },
};

MODULE_INFO(depends, "scsi_transport_iscsi,libiscsi,libiscsi_tcp,scsi_mod");


MODULE_INFO(srcversion, "4F6052B36F234F36140A6FA");

MODULE_INFO(suserelease, "ALP-0.1");
