#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(snd_timer_instance_new, 0xa213d2b8, "");
SYMBOL_CRC(snd_timer_instance_free, 0x76742b86, "");
SYMBOL_CRC(snd_timer_open, 0x2331ddcf, "");
SYMBOL_CRC(snd_timer_close, 0x44800414, "");
SYMBOL_CRC(snd_timer_resolution, 0x159c2328, "");
SYMBOL_CRC(snd_timer_start, 0x15c6e3c0, "");
SYMBOL_CRC(snd_timer_stop, 0x09d65313, "");
SYMBOL_CRC(snd_timer_continue, 0x1a0ba478, "");
SYMBOL_CRC(snd_timer_pause, 0x626c7bb2, "");
SYMBOL_CRC(snd_timer_interrupt, 0xf5dfc0e4, "");
SYMBOL_CRC(snd_timer_new, 0xd25d242b, "");
SYMBOL_CRC(snd_timer_notify, 0x8d602e17, "");
SYMBOL_CRC(snd_timer_global_new, 0xddac0a16, "");
SYMBOL_CRC(snd_timer_global_free, 0x788f46aa, "");
SYMBOL_CRC(snd_timer_global_register, 0x9e4dce15, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x3971b4df, "snd_ecards_limit" },
	{ 0x8df3789f, "snd_oss_info_register" },
	{ 0xcc3bad34, "snd_unregister_device" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xa923f401, "snd_device_new" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x5af762f1, "snd_fasync_free" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdd64e639, "strscpy" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0x40985489, "seq_printf" },
	{ 0x2350f398, "snd_device_initialize" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x5fdf1b43, "stream_open" },
	{ 0xf8f2a4eb, "snd_kill_fasync" },
	{ 0x837c54d4, "kmalloc_trace" },
	{ 0x864aeae7, "param_ops_int" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x212343bb, "snd_register_device" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x17bcf262, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xe07d488f, "try_module_get" },
	{ 0x28143b2a, "snd_info_register" },
	{ 0x3fbc9efd, "snd_info_create_module_entry" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x4d73b678, "dev_set_name" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x7271ad8, "snd_info_free_entry" },
	{ 0x37a0cba, "kfree" },
	{ 0x261814aa, "pcpu_hot" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x11f71654, "snd_fasync_helper" },
	{ 0xe2964344, "__wake_up" },
	{ 0xcd91b127, "system_highpri_wq" },
	{ 0x25b9a8e4, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1000e51, "schedule" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x633d51b, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xd133af02, "module_put" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xd9f75a53, "module_layout" },
};

MODULE_INFO(depends, "snd");


MODULE_INFO(srcversion, "8DDC48CFEC6232F286F5834");

MODULE_INFO(suserelease, "ALP-0.1");
